PGOPHER

Colin Western (help-pgopher@bristol.ac.uk)
School of Chemistry, University of Bristol, UK

PGOPHER is general purpose program for simulating and fitting rotational spectra. It represents a distillation of several programs written and used over the past decade or so within the Bristol laser group and elsewhere, and the current version is a re-write from scratch to produce a general purpose and flexible program. PGOPHER will handle linear molecules and symmetric and asymmetric tops, including effects due to unpaired electrons and nuclear spin. (Note that previous Bristol PGOPHER program handled linear molecules only.) The program can handle many sorts of transitions, including Raman, multiphoton and forbidden transitions. It can simulate multiple species and states simultaneously, including special effects such as perturbations and state dependent predissociation. Fitting can be to line positions or band contours.

PGOPHER is designed to be easy to use; it uses a standard graphical user interface and the program is currently in use for undergraduate practicals and workshops as well as research work. It has features to make comparison with, and fitting to, spectra from various sources easy. In addition to overlaying numerical spectra it is also possible to overlay pictures from pdf files and even plate spectra to assist in checking that published constants are being used correctly.

The program is freely downloadable from a supporting web site at Bristol (http://pgopher.chm.bris.ac.uk), for Microsoft Windows, with beta versions available for Linux and Apple Mac. The program is released as open source, and can be compiled with open source tools.

Graphical User Interface Features

  • Multiple simulations coloured by species, isotope, state or transition type.
  • Interactively changing spectrum range, temperature, linewidth, display style.
  • Displaying Fortrat diagrams and energy level plots
  • Select transitions by lower or upper state J, symmetry or ΔJ.
  • Right clicking on peaks to see assignment.
  • Overlaying experimental spectra from file(s) or the clipboard (frequency, intensity format).
  • Overlay pictures from pdf files or other
  • Alt+left mouse dragging experimental spectra to adjust offset between simulation and overlay.

Calculation Features

  • Linear molecules in Hund's case (a) or (b). (Other cases can be handled with some restrictions.)
  • Symmetric top molecules
  • Asymmetric top molecules
  • Open and closed shell systems (symmetric tops are currently closed shell only)
  • Simulates microwave, infra-red, Raman and electronic absorption and emission spectra.
  • Multiphoton transitions, with any combination of transition moments including interfering transition moments.
  • Handling an arbitrary number of states and perturbations between them.
  • Fitting to line positions or band contour.
  • Handling arbitrary combinations of isotopes and molecules with spectra coloured for easy identification.
  • Simulate effects of quantum number dependent predissociation on line width and intensity.
  • Hyperfine structure (not currently for symmetric tops).

Supported Platforms

  • Windows 9x/2000/XP
  • Linux (Tested under Fedora Core 3&4, Red Hat Enterprise 3&4, Suse 9.3)
  • Apple Mac (Tested under 10.3)


GNU Lesser General Public License

Version 2.1, February 1999

Copyright (C) 1991, 1999 Free Software Foundation, Inc. 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

[This is the first released version of the Lesser GPL. It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]

Preamble

The licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.

This license, the Lesser General Public License, applies to some specially designated software packages--typically libraries--of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.

When we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.

To protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.

For example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.

We protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library.

To protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.

Finally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.

Most GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.

When a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.

We call this license the "Lesser" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.

For example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.

In other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.

Although the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.

The precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a "work based on the library" and a "work that uses the library". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.

TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called "this License"). Each licensee is addressed as "you".

A "library" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.

The "Library", below, refers to any such software library or work which has been distributed under these terms. A "work based on the Library" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term "modification".)

"Source code" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.

Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is true depends on what the Library does and what the program that uses the Library does.

1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.

You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.

2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:

a) The modified work must itself be a software library.

b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.

c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.

d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.

(For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)

These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.

In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.

3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.

Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.

This option is useful when you wish to copy part of the code of the Library into a program that is not a library.

4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.

If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.

5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a "work that uses the Library". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.

However, linking a "work that uses the Library" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a "work that uses the library". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.

When a "work that uses the Library" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is true is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be true is not precisely defined by law.

If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)

Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.

6. As an exception to the Sections above, you may also combine or link a "work that uses the Library" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.

You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:

a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable "work that uses the Library", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)

b) Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.

c) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.

d) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.

e) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.

For an executable, the required form of the "work that uses the Library" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.

It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.

7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:

a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.

b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.

8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.

9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.

10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.

11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.

If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.

It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.

This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.

12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.

13. The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and "any later version", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.

14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.

NO WARRANTY

15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

END OF TERMS AND CONDITIONS


References

Publications which use PGOPHER should cite it as follows:
  • PGOPHER, a Program for Simulating Rotational Structure, C. M. Western, University of Bristol, http://pgopher.chm.bris.ac.uk
I would also appreciate being informed of any publications using PGOPHER.


Acknowledgments

The current version of PGOPHER is the product of many years research in the general area of spectroscopy. During that time my work has mainly been funded by the Engineering and Physical Sciences Research Council (EPSRC) and (in the early stages) by The Royal Society. I should also acknowledge the input of colleagues in Bristol and around the world for assistance in testing, finding bugs and making suggestions for improvements to the programs. There are too many to name individually on the whole, though I should mention Nicky Elliott who helped in the preparation of this documentation.


Installation - Windows

No special action is required for pgopher.exe to run - just download it to an appropriate directory. For the on-line help to work, download the pgopher.chm file to the same directory.

If the help file does not display correctly:

On Windows 9x machines you may need to install the HTML help component from Microsoft (currently here).

For Windows 2000/XP recent (June 2005) changes have meant that .chm files may not display correctly under some circumstances. The problems are minimized if the help file is on a local drive (rather than a mapped drive), or you may have to apply the fixes suggested in one or more of the following Microsoft knowledgebase articles:
  • KB896905
  • KB902225
  • KB896054


Installation - Linux

The Linux version is less well tested, and should be considered a beta version. Any problems are, however, likely to affect the user interface only, rather than the calculations. I have also had reports of success running the Windows version using wine.

The website has an executable for x86 machines, which will run on several recent Linux distributions as is provided the correct libraries are installed. It has been tested on Fedora Core 3 and 4, Red Hat Enterprise 3 and 4 and Suse 9.3. The libraries that may need installing are:
  • glib (not glib2)
  • gtk+ (not gtk2)
  • gdk-pixbuf
If the binary does not run on your system you may need to compile from source, or email help-pgopher@bristol.ac.uk.

The Help menu entries do not do anything at the moment, but the help files are available at http://pgopher.chm.bris.ac.uk/Help and a tarball of the current help files can be downloaded from the website.


Installation - Mac

The Mac version is less well tested, and should be considered a beta version. Any problems are, however, likely to affect the user interface only, rather than the calculations. I have also had reports of success running the Windows version on emulators for the Mac; speed is only likely to be an issue for the larger calculations (asymmetric tops, for example).

The website has an executable (pgopher-darwin) compiled on OS X Panther (10.3.9). It runs under the X, so you need to make sure the X11 User package is installed. It also requires some libraries, which are best installed using Fink. The fink website (http://fink.sourceforge.net) has detailed instructions for installation - the binary distribution should be adequate. The libraries that may need installing include:
  • glib (not glib2)
  • gtk+ (not gtk2)
  • gdk-pixbuf
If the binary does not run on your system you may need to compile from source, or email help-pgopher@bristol.ac.uk.

The Help menu entries do not do anything at the moment, but the help files are available at http://pgopher.chm.bris.ac.uk/Help and a zip file containing the current help files can be downloaded from the website.


Help and Support

Online help is available simply by pressing F1 at any stage; you will be taken to a help page related to the currently selected item in the program. You can also press shift+F1, and click on a specific part of the program to get help about that item. The documentation can also be read on-line in any web browser at http://pgopher.chm.bris.ac.uk/Help.

If you have queries about the program that are not answered by the help files, please contact help-pgopher@bristol.ac.uk

If you find a problem, please check the website, http://pgopher.chm.bris.ac.uk/ and the beta version page http://pgopher.chm.bris.ac.uk/~ctcmw/pgopher-beta/ for updates. If the problem is reproducible, the following information will be required:
  • The version of PGOPHER used (This can be found from Help, About).
  • The operating system run under.
  • The data files used
  • The stack trace of the crash, if available (see below).
Please send these to the e-mail address above. To avoid problems with blocked e-mails, please send any attachments in a separate message.

Stack Traces

Depending on how the program was compiled, PGOPHER may produce a stack trace.

Under Microsoft Windows, this will be saved to a "pgopher.log" file. A popup box will indicate the location of this file, which is normally in the same directory as the executable or the data file (depending on which is writable). An entry is added to this file for each crash.

On Linux or Mac systems, the trace will appear in PGOPHER's log window, or on the console.


Known Problems and Limitations

Please check the website, http://pgopher.chm.bris.ac.uk/ and the beta version page http://pgopher.chm.bris.ac.uk/~ctcmw/pgopher-beta/ for updates.

The following are not implemented in the current version of PGOPHER, but may be in a future version:
  • Spherical Tops
  • Electron and Nuclear Spin effects in Symmetric Tops
  • Perturbations in Symmetric Tops
  • Magnetic dipole transitions are only implemented for linear molecules
  • Internal rotation effects

Known problems

  • The Help menu only works on Microsoft Windows (but the documentation can be read using any web browser).
  • The Linux and Mac versions are less well tested, and should be considered beta versions. Any problems are, however, likely to affect the user interface only, rather than the calculations.

Fixed Problems

  • In 5.1.32
    • File, Print and Edit, Styles broken
    • Inconsistent version numbers


Compiling From Source

PGOPHER is mainly written in Pascal, using the object oriented extensions originally available from the Borland Pascal compiler and now also available in the Free Pascal compiler (not GNU Pascal). The program is ditributed as a zip file. Unpack this in a directory on its own, which will create 4 sub-directories.

Microsoft Windows

The current version is compiled with Borland Delphi 2005, though it should compile with any recent version (6 or later) with minor modifications. The mkpgopher.bat file in the pgopher directory will compile it from the command line. Alternatively install the utils/Putils.dpk and wutils/Pcontrols.dpk packages into the IDE, after which the pgopher/Pgopher.dpr project can be loaded and compiled in the IDE. Compilation using Free Pascal and Lazarus as described for Linux and Mac below should also be possible, though this has not been tested.

Linux/Mac

The current version is compiled using Free Pascal (http://www.freepascal.org) and Lazarus (http://www.lazarus.freepascal.org). At the moment the development version of both is required for correct operation. For Free Pascal see the development section (the 2.1.x version is required). For Lazarus see Source from CVS. Additional libraries will normally be required, typically -devel versions of packages; these can be installed using the standard package system for your distribution (Linux) or Fink on a Mac. Given this installation, PGOPHER can be compiled with the mkpgopher script in the pgopher directory (the LAZDIR variable may need setting manually). Alternatively install the utils/Putils.lpk and wutils/Pcontrols.lpk packages into the IDE, after which the pgopher/Pgopher.lpr project can be loaded and compiled in the IDE


Procedures

This section outlines the main procedures that can be carried out using PGOPHER:
  • Creating a data file
  • Simulating a spectrum
  • Overlaying an experimental spectrum
  • Line position fitting
  • Band contour fitting.


Creating a data file

PGOPHER data files (.pgo files) contain the rotational constants and other settings required to perform a simulation. An empty file can be created from the File menu, but it is normally easiest to modify an existing .pgo file. For linear molecules some of the basic ideas are discussed in Making a Linear Molecule Data File and some more complicated examples are linked below:

O2 microwave spectrum
CFBr electronic spectrum
C2 Swan band

Note: All quantum numbers (spin, J, K...) are input and displayed at double their actual values to allow for half integral values.

Modifications to the file (either modifications to individual settings and parameters, or more major changes such as addition or deletion of species, molecules, manifolds, states, perturbations or transition moments) can then be effected in the constants window, using the tree view. The data file contains a hierarchy of objects, to represent the molecules and states involved in the transition; this works rather like a nested directory structure containing files except that each level can only contain certain types of object. (The top level object must be Species, for example.) Data files can also be merged to combine spectra.

The .pgo files are in XML format, and can be edited with an ordinary text editor if required. (If you load a .pgo file into a web browser it will normally show the XML nicely laid out and colour coded.)

To simulate a spectrum click on the simulate Simulate button in the main window.


Simulating a Spectrum

Once the data file has been created or loaded (File, Open or [image] or simply drag and drop a .pgo file onto the main window) simply press the red simulate button [image] if a simulation does not appear automatically. To change the molecular parameters use the Constants Window. The buttons listed below can be used to adjust the appearance of the plot. The Offset, rotational temperature (T), and the Gaussian (Gau) and Lorentzian (Lor) contributions to the linewidth can also be changed using the boxes in the main window. The items below are available as buttons on the toolbar or from the plot menu:

Left | Shift plot range to left
Right | Shift plot range to right
Compress | Compress plot range
Expand | Expand plot range
Plot Selection | Click and drag the mouse over part of the spectrum and then press this button to change the plot range to the selected range. This only changes the horizontal range; if you want to look at part of the vertical range use the [image] Magnify Plot .
All | Expand plot range to include all simulated lines and overlayed spectra. This button is particularly useful if you have "lost" your spectrum.
Simulate | Simulate spectrum
Next Plotstyle | Cycle through available styles of plot
Show Parts | Toggle display of individual spectra making up the overall spectrum
Show Sum | Toggle display of sum of individual spectra
Fortrat, Show | Toggle display of a Fortrat Diagram
Fortrat, Upper | Select upper or lower state J as vertical axis in Fortrat diagram.
Units | Select units for horizontal axis - Possibilities are cm-1, MHz, Kelvin, eV, nm in vacuum and nm in air.
Magnify Plot | Click and drag with the mouse to select a region to zoom into with this button. In contrast to Plot Selection [image] this changes both the vertical and horizontal scale.
Shrink plot | Shrink plot
Reset Zoom | Reset plot zoom to fill window


Overlaying an Experimental Spectrum

It is possible to overlay either an experimental spectrum (complete with a frequency and intensity scale) or a bitmap (a picture of the spectrum where no frequency scale is available) into PGOPHER. The data can come from the clipboard (i.e. Copy and Paste from another application) or a file. In either case you can make adding, rather than replacing, a spectrum the default by checking the File, Merge menu item.

From the clipboard

Select the data you want to overlay in another application, such as a spreadsheet, a Drive spectrum, a bitmap, a picture in a .pdf file, or a simple text file in a text editor and then use Overlays, Paste Overlay [image] . To add, rather than replace a spectrum use Overlays, Paste Another.

Open a data file

Use File, Load Overlay...to open a data file. You can also drag and drop data files on to the main PGOPHER window, which has the same effect.

Lining up the simulation and experiment.

You apply a simple offset to a simulation via the FOffset parameter. This is one of the mixture parameters, or you can set it via the "Offset" entry on the main toolbar or by dragging the simulation with the mouse while the "ALT" key is held down.

File Formats

PGOPHER can handle a selection of formats:
.txt,.csv Text files - PGOPHER is reasonably flexible as to the text file formats it can handle; it expects sets of (frequency, intensity pairs), one per line. Multiple values for intensities can also be given and appear as multiple spectra.
.jdx,.dx,.jcm | JCAMP-DX format - PGOPHER can handle most varieties
.drv | Drive files - PGOPHER can handle these directly, or via the clipboard from DRIVE.
bmp, .jpg and other images
 PGOPHER can also handle bitmaps, for cases where only a picture of the spectrum is available instead of the raw data. In this case, the frequency scale must be set manually from the Bitmap Overlay window.
The frequency scale is detected automatically (apart from images) if there are only two numbers for each point on the spectrum. If the file contains more than two numbers per point you are prompted for the action to take (such as discarding some data or treating the file as several spectra) in the Pick Channels Dialog.


Line Position Fitting

Note: All quantum numbers (spin, J, K...) are input and displayed at double their actual values to allow for half integral values.

This is the preferred method of determining constants from an experimental spectrum, and can be used when lines are reasonably well resolved. Where this is not the case it may be possible to do contour fitting, but note that this may not give good results.
  1. Overlay the experimental spectrum over the PGOPHER simulation, and drag the simulation so that there is roughly no offset between the two spectra.
  2. Right click on a peak that can be assigned to a peak in the experimental spectrum. A Line List Window will appear:

  3. The contributions of more than one rotational transition will probably be shown, as above. The transition required will presumably be the most intense one (look in the “Strength” column). Select the rows containing the transitions to be assigned with the mouse. (You can delete the unwanted transitions by selecting the required rows with the mouse and pressing the delete button [image] .)
  4. Find the corresponding peak in the experimental spectrum. Right-click and drag over the peak. The peak position will be determined from the spectrum and a marker indicating the position will be displayed. Provided Auto is selected in the line list window, the "Frequency" column in the line window of the selected rows will change to that of the experimental peak and the “Weight” will be set to 1. (If Auto is off press the Assign button to do this manually.)
  5. Repeat steps 2 to 4 to assign more peaks.
  6. It is now possible to perform a fit. It is best not to float too many parameters at once, so go to the constants window (View, Constants) and select, for example, the excited state origin and the most significant constant, such as A or B for fitting, by doubling-clicking in the “Float” column so it reads “yes”.
  7. Then, click Fit in the line list window. The average error, new values for the constants and a correlation matrix will be displayed in the log window(View, Log). The main window will show an updated simulation (unless you have AutoReplot turned off, in which case you will need to press the "Simulate" button). Note that if you used an offset on the simulated spectrum you will probably need to reset the offset to zero after the first fit.
  8. If the results look reasonable, then press "Fit" repeatedly until the error converges.
  9. If the fit does not look good, the Undo Fit [image] button in the log form will step constants back one fit cycle for each press. If you go too far, the Redo Fit [image] button step the constants forward one fit cycle. You may want to delete peaks from the line window, or try temporarily excluding them by setting the "Weight" to 0.
  10. You will normally want to save the assignments, and it is normally more flexible to work from an independent file for larger fits. Create an empty file by going to the log window(View, Log). The [image] button will allow you to browse to choose a file name - it is normal to give it a .lin or .obs extension. This will put the file name in the observations file name window.
  11. Press the Edit Button [image] . There will be a prompt saying that the file does not exist. Say “yes” to create it.
  12. Copy (use the copy button [image] in the line list window) and paste the assignments into your observations (.lin) file, and save it.
  13. To use this file, rather than lines in the line position window, use the Fit Button [image] in the log window, rather than the line list window.
  14. The final stage is to add more constants and lines into the fit as required.

Notes:

  • It is easy to misassign peaks, and wrongly assigned peaks can distort the fit quite badly. Look at the obs-calc values in the log window for problem peaks.
  • If you want to only use part of a .lin file, a "-1" or "stop" on a line on its own will force the program to ignore the rest of the file.
  • If there is not enough information to determine a constant then the constants and their errors will become very large or you may get a "Singular Matrix" error message. Use the Undo Fit [image] button to go back and fix one or more of the constants affected in this way.


Contour Fitting

Contour fitting is a method of fitting the overall shape of an experimental spectrum to a simulation, and is useful for low resolution spectra in which the rotational structure is not fully resolved. Note that the results from this sort of fit are typically less reliable than for a line position fit, and a line position fit is to be preferred if at all possible.
  1. To start a contour fit, Overlay the experimental spectrum over the PGOPHER simulation. The initial match must be quite good for a contour fit to work - a contour fit will typically not move a peak more than the peak width, for example.
  2. Open the constants window (View, Constants) and click on “Fix all” to ensure that no molecular constants are floated to start with.
  3. The first parameters to be floated must be the scale and baseline of the overlayed spectrum. Go to the overlays window (View, Overlays), select the overlay required (probably the first one unless you have more than one experimental spectrum overlaid) and float these two parameters (double click in the float column so it reads “yes”).
  4. “View”, “Fit log”, and choose “Contour Fit”. A separate plot showing the obs-calc (difference between the experimental spectrum and the simulation) is shown in the main window (see below for an example), along with the simulation. The “Log” window now shows new values for the floated parameters and their errors, the average error, and a correlation matrix. The error will typically be very large at this point
  5. Press “Contour Fit” repeatedly, until the average error is as low as possible, and a simulation that roughly matches the experimental spectrum is shown. If you have problems you may have to fix some of the parameters and try manually changing them.
  6. To further improve the fit, start floating molecular parameters. Floating many parameters simultaneously will often cause the fit to make wild changes in some of the parameters unless the fit is very good. For best results float additional parameters one or two at a time, starting with the most important. The Undo Fit button allows you go back to previous fits, if you find you have gone too far from a reasonable fit. For example, the excited state origin might be the first molecular constant to float (“View”, “Constants”, and double click on the “no” next to the constant to change it to yes.). Again, press “Contour fit” repeatedly until the error reaches a minimum, and converges.
  7. Other parameters to consider are A or B rotational constants, the linewidth and rotational temperature. Eventually, the simulation should closely resemble the experimental spectrum, and the obs-calc will be much smaller.


Detailed Notes

This section contains notes on some specific procedures and calculations:
  • Making a Linear Molecule Data File
  • Determining Colours and J ranges
  • Emission Spectra
  • Raman Spectra


Making a Linear Molecule Data File

Note: All quantum numbers (spin, J, K...) are input and displayed at double their actual values to allow for half integral values.

A simple linear molecule file can be generated from File, New, Linear Molecule. This initializes the program for a molecule with a band origin of 1000 cm-1and B' = B'' = 1 cm-1. To adjust the constants (and set the type of vibronic transition) PGOPHER uses select View, Constants.
  • If the molecule has a centre of symmetry, click on "Linear Molecule" and set Symmetric = "True". You will also need to set the statistical weights in the same window. For diatomic molecules with nuclear spin I the values should be:
 | I integral | I half integral
SymWt | (I+1)(2I+1) | I(I+1)
AsymWt | I(I+1) | (I+1)(2I+1)
  • Adjust the ground state by clicking on the "v=0" entry under "Ground". The key things to set are:
    • Lambda (to Sigma+, Sigma-, Pi, Delta, ...)
    • Overall Spin, S. Remember PGOPHER doubles all quantum numbers, so for a doublet state enter 1.
    • If the molecule is symmetric, set gerade (True for g, False for u)
    • The rotational constant, B
    • For non Σ states, the spin orbit coupling constant, A.
    • For S ≥ 1 LambdaSS (the spin-spin coupling constant) may also be important.
  • Now switch to the upper state (click on the "v=1" entry under "Excited") . The key things to set here are:
    • The Origin
    • All the settings and values listed above under the ground state.


Determining Colours and J ranges

To determine the colour used in plots when [image] (show parts) is selected, PGOPHER will look in the following locations and take the first one that is not set to "None":
  1. Transition Moment
  2. Lower State
  3. Lower Manifold
  4. Lower Molecule
  5. Species
  6. Upper State
  7. Upper Maifold
  8. Upper Molecule
A similar logic is used for the J range of calculations, specifically Jmin and Jmax, where the first of the following that is not negtive is taken:
  1. Manifold
  2. Molecule
  3. Species
  4. Lowest possible J (Jmin only)


Emission Spectra

Simulating emission spectra requires some special considerations:
  1. The Initial flag must be set for the upper manifold of each state, and clear for the lower manifold of each state. (The Initial flag would typically be set for the lower manifold only.) PGOPHER will then use a Boltzmann distribution to calculate the population in the upper state, and assume no population in the lower state.
  2. To include the ν3 factor in the intensity calculations the band origins used must be absolute (i.e. enter 19135 cm-1 rather than 135 cm-1) and the IntensityUnits in the Mixture object should be set to HzperMolecule.


Raman Spectra

Raman transitions must currently be specified using Spherical tensor notation (like multiphoton transitions). Normal Raman spectroscopy uses two photons, and can give rise to Rank 0, 1 (often weak) and 2 contributions to the overall transition moment. You may need more than one of these to simulate a transition, and for each Rank, k, there will be 2k+1 components from -k to +k. PGOPHER labels these as T(Rank, Component). For a linear molecule the following components might be expected to contribute:
Σ-Σ | T(0,0) (normally dominant) and T(2,0)
Σ-Π | T(2,1)
Π-Π | T(0,0) (normally dominant), T(2,0) and T(2,2)
Σ-Δ | T(2,2)


Objects

To represent molecules and states making up the simulation, PGOPHER makes use of a hierarchy of objects. This works rather like a nested directory structure containing files except that each level can only contain certain types of object. These are no particular limits to the number of objects at each level, so that arbitrary combinations of spectra can be constructed, and multiple interacting (perturbing) states can be simulated. To view or edit any of these objects, use the tree view in the Constants window (View, Constants). The topmost object is a
Mixture which contains parameters such as linewidth and temperature which are common to all the molecules in the mixture. The name of the mixture is normally the filename. A mixture contains one or more:
Species which contain one or more isotopomers or:
Molecules These specify the settings such symmetry and statistical weight which are common to all the states within a molecule. There are three different types, depending on the type of molecule: Linear, Symmetric Top and Asymmetric Top. Molecules contain two types of object
Manifolds provide a way of grouping states together, allowing perturbations to be simulated. Manifolds contain two types of object:
States which contain the band origin and rotational constants of a particular state. Again, these are specific to the type of molecule, with Linear, Symmetric Top and Asymmetric Top versions, depending on the Hamiltonian used. If nuclear hyperfine structure is to be simulated, then each state contains nNuclei:
Nucleus which contains the hyperfine parameters for each nucleus for the parent state.
Perturbation which describes an interaction or perturbation between two states. There is one of these for each perturbation parameter.
Transition Moments which describe the transitions between manifolds. One of these objects is required for each pair of manifolds that have transitions between them. They contain one or more individual Transition Moment objects, which can be of various types:
Cartesian, i.e. along a, b or c for Asymmetric Tops or:
Spherical which can be used for any molecule type, and are particularly appropriate for Raman and multiphoton transitions.
Spin for magnetic dipole transitions carried by the electron spin
Orbital for magnetic dipole transitions carried by the orbital angular momentum (Linear molecules only)

Overlays and Experimental Data

Experimental data used to overlay simulated spectra are also described by a similar, if simpler hierarchy of objects. These can be individually inspected using the tree view in the Overlays window (Overlays, Properties). The topmost object is:
Overlays, which can contain two types of object:
Experimental Plots, which contain the (frequency, intensity) points of an experimental spectrum and/or
Bitmap Plots, which contain an image for use where only a picture of the spectrum is available, but not the raw data.


Mixture

This is the topmost object in the hierarchy, and there will be only one of these objects for a simulation. It contains the parameters and settings that are common to all molecules included in the simulation. The data files PGOPHER uses (.pgo) thus contain one mixture (and all contained objects) and the name of the mixture will normally be the name of the file.

Settings

Units | Units for calculation of frequencies/energy - valid values are cm1 (cm-1), MHz, Kelvin and eV. The key change this makes is in calculating Boltzmann factors from temperature; the units are otherwise not significant.
IntensityUnits | Units for intensity. Possible values are Arbitrary (fastest), Normalized (include partition function), Squared (square the calculated intensity), nm2MHzperMolecule (for absorption), cm2WavenumberperMolecule (for absorption) or HzperMolecule (for emission). For the last three, transition moments are assumed to be in Debye.
PrintLevel | Controls the amount of printout in the Log window. Negative for no output, 0 for a line list, larger numbers for printouts of the Hamiltonian and transition matrices.
nDF | Number of points (between Fmin and Fmax) to calculate the spectrum at. Note that if a peak width is less than 3*(Fmax-Fmin)./nDF, i.e. only a few points wide, then it is shown as a stick, rather than a peak.
WidthMult | Multiple of linewidth to extend convolution over.
Precision | Precision of printout (decimal places after the point).
LifeModel | Model to use for state dependent lifetimes and linewidths. Valid values are lmNone, lmWidth, lmProduct, lmProductWidth, lmParent, lmParentWidth, lmGate, lmGateWidth.
BasisOrder | How to order the basis states making up a basis. Valid values are: boDefault, boDiagonal and boStateDiagonal.
ShowSum | Plot overall sum of individual spectra. This is toggled by the [image] button.
ShowParts | Plot individual spectra making up overall spectrum. The individual spectra are grouped by colour, so you will need to set colours to see something different to the sum. Colours can be set at the transition moment, state, molecule or species level. This is toggled by the [image] button.
ShowFortrat | Plot a Fortrat diagram, i.e. J against frequency, in the main window. This is toggled by the [image] button.
UseUpper | Set to use upper rather than lower state J and symmetry in the Fortrat diagram.
JAdjustSym | If set, energy level plots and Fortrat diagrams will take account of the alternation in symmetry with J that is often found. For example in linear molecules an energy level will typically alternate between + and - parity with J (hence the e/f notation).
ShowSymmetry | Show symmetry in fortrat plots.
ShowDeltaJ | Show change in J in fortrat plots.
ScaleMarkSize | Scale Mark Size with intensity in fortrat plots.
DoubleQnos | If set (default) all quantum numbers are displayed as twice their actual values.
FitCycles | Number of least squares fit cycles to do on each press of a "fit" button.
AutoReplot | If false, automatic recalculation of the simulation is disabled in some circumstances. Use if the program is running slowly.
PlotUnits | Units for the horizontal scale for spectrum plots. Possibilities are as for Units above (the calculation units) and also nmVac, nmAir, corresponding to nm in vacuum and air respectively.

Parameters

Several of these can be set from the toolbar in the main window.
Fmin | Left edge of plot range in main window.
Fmax | Right edge of plot range in main window.
Temperature | Rotational temperature (Kelvin).
Gaussian | Gaussian contribution to linewidth (full width half maximum). If both this and a Lorentzian width (below) is set the result is a convolution of the two, a Voigt profile.
Lorentzian | Lorentzian contribution to linewidth (full width half maximum). This and the Gaussian width can also be set from the main window.
Foffset | Frequency offset to simulation.
SMargin | Relative Size of peak to ignore when convoluting for contour fitting.
OThreshold | Ignore peaks smaller than this fraction of the maximum peak intensity.
RefWidth | Reference width in linewidth (predissociation) calculations.
Tvib | Vibrational Temperature (Kelvin); set to -1 (default) to use rotational temperature for all Boltzmann factors.
MinI | Set the scaling of mark sizes in Fortrat plots.


Species

There can be one of more species within a mixture which will in turn contain one or more linear, symmetric top or asymmetric top molecules. To add another species go to the Tree View, and either right-click on the mixture and select "Add new species", or use copy and paste within the tree view.

Settings

Jmin | Minimum J to use in calculation - set to -1 to use lowest possible J.
Jmax | Maximum J to use in calculation.
Colour | Colour of plot; set to "None" to take value from elsewhere. It may be better to select a colour lower down in the object hierarchy, for example within each molecule object, to allow different colours to be selected for each isotope (if applicable).

Parameters

Concentration Relative concentration of species (1 is the default).


Molecule

There can be one or more molecules within each species; there should be one molecule for each isotopomer. To add another molecule, either:
  1. Right-click on the species you are adding to in the tree view and select "Add new...", then select a linear, symmetric top or asymmetric top molecule
  2. Right click on a similar molecule entry (it must be of the same type) and select "copy", then right click where you want the new molecule to be and select paste.
The latter method is particularly effective for adding another isotope as the parameters and settings will be largely similar. Note that it is possible to copy and paste between independent copies of PGOPHER should you want to use a molecule from a completely different file as a starting point.

The settings given here are common to all different types of mixture. Details of other settings are given in the sections for linear, symmetric top and asymmetric top molecules.

Settings

nNuclei | Number of nuclei to calculate hyperfine structure for.
Jmin | Minimum J to use in calculation - set to -1 (default) to use value from species.
Jmax | Maximum J to use in calculation - set to -1 (default) to use value from species.
Colour | Colour - set to "None" to take value from elsewhere.

Parameters

Abundance Abundance of this isotope; default is 1


Manifold

Manifolds provide a way of grouping states together. Interacting states (i.e. those with perturbations between them) must be in the same manifold, and it may be convenient to group related states together (such as a set of vibrational states from the same electronc state.) Manifolds therefore contain two types of object, states and perturbations. To add a new state or perturnation to a molecule, right-click on the manifold in the constants and select "Add new..."
.
The settings here are the same, whether simulating linear, symmetric top and asymmetric top molecules.

Settings

Jmin | Minimum J in calculation - set negative to take from molecule or manifold.
Jmax | Maximum J in calculation - set negative to take from molecule or manifold.
Initial | True to include population in this state when calculating spectra.
Colour | Colour for spectra - set to "None" to get colour from elsewhere.
EigenSearch | Identify state by looking for largest coefficient in eigenvector.
LimitSearch | Set to assume the energy ordering within an individual state does not change, but the eigenvectors are used to select the state.


State

This section describes the band origin and constants and other adjustable parameters for the selected state.

The settings and parameters below are common to all states; more specific details are given in the sections for linear, symmetric top and asymmetric top molecules.

Settings

Colour | Colour - set to "None" to take value from elsewhere.
S | Electron Spin

Parameters

Origin | State Origin.
Width | Linewidth (rotation independent) for state.


Nucleus

If the parent molecule has nNuclei non zero, then each state will have nNuclei of these. One is required for each nucleus for which hyperfine structure should be simulated. The spin of each nuclei is set from the corresponding entry in any state. See Linear and Asymmetric Top pages for detailed information.

Settings

Spin Nuclear spin


Perturbation

Perturbations

Perturbations describe an interaction between two states. To add a perturbation, right-click on the manifold in which the perturbation is required, and select "Add new..."). There can be more than one perturbation between any pair of states as there can be more than one type of interaction that connects states.

These settings are common to all perturbations; more specific settings are included in the sections for linear, symmetric tops and asymmetric top molecules.

Settings

Nucleus Index, starting from 1, of nuclear spin involved in perturbation; 0 (default) for those not involving a nuclear spin.

Parameters

Value Size of perturbation.


Transition Moments

One of these objects is required for each pair of manifolds that have transitions between them. Each manifold must be specified when the transition moments object is created. One or more individual transition moment objects must be added to the transition moments object. A "colour" setting can be applied to the transition moments object; all other settings are included within the sections for spherical , Cartesian, spin and orbital transition moments.

Settings

Colour Colour - set to "None" to take value from elsewhere.


Rotational Magnetic Transition Moment

This is appropriate for a magnetic dipole transition moment carried by the magnetic moment associated with the overall rotation of the molecule.
Note: This is a provisional implementation, and is only implemented for linear molecules at the moment.

Settings

Rank | Rank of transition - 2 (twice 1) for a normal electric dipole transition.
Component | Projection quantum number of transition moment - 0 for a parallel transition, 2 (twice 1) for a perpendicular transition.

Parameters

Strength | Transition (dipole) moment in units of the Bohr magneton. Note that the relative intensity is proportional to the square of this value.
C | J dependence of transition moment
D | J dependence of transition moment


Spherical Transition Moment

This transition moment can be used for any molecule type, and must be used for multiphoton or Raman transitions. It is also appropriate for single photon transitions classified as parallel or perpendicular, as noted below.

Settings

Rank | Rank of transition - 2 (twice 1) for a normal electric dipole transition.
Component | Projection quantum number of transition moment - 0 for a parallel transition, 2 (twice 1) for a perpendicular transition.

Parameters

Strength | Transition (dipole) moment. For one photon transitions this has units of Debye. Note that the relative intensity is proportional to the square of this value.
C | J dependence of transition moment
D | J dependence of transition moment


Cartesian Transition Moment

This form of transition moment is particularly appropriate for asymmetric tops, as it allows transition moments to be set along the a, b, or c inertial axes.

Settings

Rank | Rank of transition - Must be 2 (twice 1) for a normal electric dipole transition.
Axis | Axis of transtion moment - a, b or c.

Parameters

Strength | Relative transition (dipole) moment - note that the relative intensity is proportional to the square of this value.
C | Allow for J dependence of transition moment
D | Allow for J dependence of transition moment


Spin Magnetic Transition Moment

This is appropriate for a magnetic dipole transition moment carried by the electronic spin angular momentum. For linear molecules, create two components with components 0 and 2(=1) with equal strengths to reflect the two components (Sz and S±) of the spin operator.

Settings

Rank | Rank of transition - 2 (twice 1) for a normal electric dipole transition.
Component | Projection quantum number of transition moment - 0 for a parallel transition, 2 (twice 1) for a perpendicular transition.

Parameters

Strength | Transition (dipole) moment in units of the Bohr magneton. Note that the relative intensity is proportional to the square of this value.
C | J dependence of transition moment
D | J dependence of transition moment


Orbital Magnetic Transition Moment

This is appropriate for a magnetic dipole transition moment carried by the electronic orbital angular momentum.

Settings

Rank | Rank of transition - 2 (twice 1) for a normal magnetic dipole transition.
Component | Projection quantum number of transition moment - 0 for a parallel transition, 2 (twice 1) for a perpendicular transition. For linear molecules this will normally be the change in Λ for the transition.

Parameters

Strength | Transition (dipole) moment in units of the Bohr magneton. Note that the relative intensity is proportional to the square of this value.
C | J dependence of transition moment
D | J dependence of transition moment


Overlays

This contains one or more plots which can be of two types: experimental plots (numerical data typically in the form of frequency,intensity pairs) or bitmaps (a picture copied or scanned where the raw data is not available.) For more information see the overlays window. A few settings apply to the overall set of plots:

Settings

Units | Units for plot.
IntensityUnits | (Not currently used)

Parameters

PeakThreshold Threshold for peak finder.


Experimental Plot

This allows the parameters and settings of the experimental overlay to be changed. This appears in the overlays window (accessible through the overlays menu, and "Properties") - see this section for more information on experimental overlays.

Settings

Units | Horizontal Axis units.
IntensityUnits | (Not currently used)
Colour | Colour for plot.
Hide | Hide this plot
FixScale | True to use Scale and Baseline when plotting, rather than autoscaling to fit.
FirstPoint | First point to use in fitting and plotting. (Note that the point number under the mouse is shown at the bottom of the overlays window).
LastPoint | Last point to use in fitting and plotting.
IsLineList | Set to treat data as a list of line positions, optionally with intensity.

Parameters

FrequencyOffset | Frequency offset used when displaying plot. This is not the same as Offset in the constants window (and in the main window), which changes the frequency offset of the simulation.
FrequencyScale | Scaling factor for horizontal scale. This will normally be 1.
Baseline | Baseline position.
Scale | Vertical scale factor used in plotting.


Bitmap Plot

This allows parameters such as the baseline and offset of the bitmap spectrum to be altered. For more information on altering these parameters, see the section on bitmap overlays.

Settings

Units | Horizontal Axis units.
IntensityUnits | (Not currently used)
Colour | Colour for plot.
Hide | Set to hide this plot
Xpixel1 | Horizontal Pixel corresponding to Frequency1
Xpixel2 | Horizontal Pixel corresponding to Frequency2
BaselinePixel | Vertical Pixel corresponding to BaselineIntensity
MaximumPixel | Vertical Pixel corresponding to MaximumIntensity

Parameters

FrequencyOffset | Frequency offset used when displaying plot.(This is not the same as "Offset" in the constants window (and in the main window), which changes the frequency offset of the simulation.)
Frequency1 | Frequency at Xpixel1.
Frequency2 | Frequency at Xpixel2.
BaselineIntensity | Intensity at BaselinePixel - normally 0.
MaximumIntensity | Intensity at MaximumPixel - normally 1.


Molecule Types

PGOPHER currently allows the simulation of three types of molecule:
  • Linear
  • Symmetric top
  • Asymmetric top.


Linear Molecules

See the following objects:
  • Manifold
  • Molecule
  • Nucleus
  • State
  • Perturbation


Linear Molecule

These are the settings for a linear molecule as a whole, i.e. those common to all states (but perhaps different for different isotopomers).

Settings

nNuclei | Number of nuclei to calculate hyperfine structure for.
Jmin | Minimum J to use in calculation - set to -1 (default) to use value from the species.
Jmax | Maximum J to use in calculation - set to -1 (default) to use value from the species.
Colour | Colour - set to "None" to take value from elsewhere.
Symmetric | True for D infinity h, False for C infinity v.
SymWt | Statistical weight of symmetric rotational levels. Ignored if no centre of symmetry.
AsymWt | Statistical weight of asymmetric rotational levels. Ignored if no centre of symmetry.
RSquaredH | Set to use the R2 Hamiltonian rather than the default N2 form.
ShowJ | Show J in state label.
ShowOmega | Show Omega in state label.
ShowN | Show N in state label.
ShowFNumber | Show F Number in state label.
Showef | Show e/f symmetry in state label.

Parameters

Abundance Abundance of this isotope; default is 1


Linear Manifold

This alters the settings for the manifolds included within a linear molecule

Settings

Jmin | Minimum J in calculation - set negative to take from molecule or manifold.
Jmax | Maximum J in calculation - set negative to take from molecule or manifold.
Initial | True to include population in this state when calculating spectra.
Colour | Colour for spectra - set to "None" to get colour from elsewhere.
EigenSearch | Identify state by looking for largest coefficient in eigenvector.
LimitSearch | Set to assume the energy ordering within an individual state does not change, but the eigenvectors are used to select the state.


Linear Molecule State

This contains the rotational constants and other information specific to each state within a linear molecule. Note that PGOPHER will calculate Hund's cases (a) and (b) exactly; other cases can be handled with some restrictions.

Settings

Colour | Colour - set to "None" to take value from elsewhere (from the molecule object, for example).
S | Electron Spin
Lambda | Electronic angular momentum - use Sigma-, Sigma+, Pi, Delta, Phi, Gamma, H, I or a numerical value
gerade | true for gerade states; ignored if molecule is not symmetric.

Parameters

Origin | State Origin.
Width | Linewidth (rotation independent) for state.
B | Rotational constant.
A | Spin-orbit coupling constant.
LambdaSS | Spin - spin coupling constant (=1.5*ε).
o | Spin-spin coupling constant giving lambda doubling for Omega = 0 states.
theta | Higher Order Spin-Spin interaction (S>=2 only).
Gamma | Spin rotation coupling constant.
p | Lambda doubling constant.
q | Lambda doubling constant.
D | Quartic centrifugal distortion.
H | Sextic centrifugal distortion.
L | J8 centrifugal distortion.
M | J10 centrifugal distortion.
PP | J12 centrifugal distortion. (Not P to avoid confusion with p.)
AD | Centrifugal distortion of A.
LambdaD | Centrifugal Distortion of Lambda.
LambdaH | J^4 Centrifugal Distortion of Lambda.
oD | Centrifugal distortion of o.
oH | J4 Centrifugal distortion of o.
oL | J6 Centrifugal distortion of o.
pD | Centrifugal distortion of p.
pH | J6 Centrifugal distortion of p.
pL | J8 Centrifugal distortion of p.
qD | Centrifugal distortion of q.
qH | J6 Centrifugal distortion of q.
qL | J8 Centrifugal distortion of q.
gammaD | Centrifugal distortion of gamma.
gammaH | J6 Centrifugal distortion of gamma.
gammaL | J8 Centrifugal distortion of gamma.


Linear Molecule Nucleus

If the parent molecule has nNuclei non zero, then each state will have nNuclei of these. One of these for each state for each nucleus for which hyperfine structure should be simulated. The spin of each nuclei is set from the corresponding entry in any state.

Settings

Spin Nuclear spin. (Note that this setting should logically be at the molecule, rather than the state level. Changing a spin here will change the corresponding spins in any other states.)

Parameters

a | Nuclear spin - orbit interaction (I.L).
b | Nuclear spin - electron spin (I.S). Note that b = bF - c/3.
c | Nuclear spin - electron spin dipole dipole interaction diagonal in Lambda.
d | Nuclear spin - electron spin dipole dipole interaction off diagonal in Lambda by 2.
eQq0 | Nuclear quadrupole coupling constant diagonal in Lambda.
eQq2 | Nuclear quadrupole coupling constant off diagonal in Lambda by 2.
cI | Nuclear spin rotation (I.J).
aJ | Centrifugal distortion of nuclear spin - orbit interaction (I.L). (Outline implementation)
bJ | Centrifugal distortion of nuclear spin - electron spin (I.S). (Outline implementation)
cJ | Centrifugal distortion of nuclear spin - electron spin dipole dipole interaction diagonal in Lambda. (Outline implementation)
dJ | Centrifugal distortion of nuclear spin - electron spin dipole dipole interaction off diagonal in Lambda by 2. (Outline implementation)
eQq0J | Centrifugal distortion of nuclear quadrupole coupling constant diagonal in Lambda. (Outline implementation)
eQq2J | Centrifugal distortion of nuclear quadrupole coupling constant off diagonal in Lambda by 2. (Outline implementation)


Linear Molecule Perturbation

There will be one of these for each perturbation parameter in each state.

Settings

Nucleus | Index, starting from 1, of the nuclear spin involved in perturbation; 0 (default) for those not involving a nuclear spin.
Op | Perturbation type. This can be LS, Luncouple, Homog, aL, e or eQq1, where LS is the spin-orbit perturbation, Luncouple is the L-uncoupling perturbation, LJS is the J-dependent version of LS, and aL, e and eQq1 are hyperfine perturbations.
n | Power of operator in perturbation - not currently used.
Npower | (Under construction)

Parameters

Value Size of perturbation.


Symmetric Tops

See the following objects:
  • Manifold
  • Molecule
  • Nucleus (Under Construction)
  • State
  • Perturbation (Under Construction)
The table below shows the rovibronic symmetries for each point group that have the same statistical weight.
 |  | wt0 | wt1 | wt2 | wt3 | wt4 | wt5 | wt6
C3v | A2 | A1,A2 | E
C4v | A2 | A1,A2 | B1,B2 | E
C5v | A2 | A1,A2 | E1 | E2
C6v | A2 | A1,A2 | B1,B2 | E1 | E2
C7v | A2 | A1,A2 | E1 | E2 | E3
C8v | A2 | A1,A2 | B1,B2 | E1 | E2 | E3
D3h | A1" | A1',A1" | A2',A2" | E',E"
D4h | A1u | A1g,A1u | A2g,A2u | B1g,B1u | B2g,B2u | Eg,Eu
D5h | A1" | A1',A1" | A2',A2" | E1',E1" | E2',E2"
D6h | A1u | A1g,A1u | A2g,A2u | B1g,B1u | B2g,B2u | E1g,E1u | E2g,E2u
D7h | A1" | A1',A1" | A2',A2" | E1',E1" | E2',E2" | E3',E3"
D8h | A1u | A1g,A1u | A2g,A2u | B1g,B1u | B2g,B2u | E1g,E1u | E2g,E2u | E3g,E3u
D2d | B1 | A1,B1,E | A2,B2
D3d | A1u | A1g,A1u | A2g,A2u | Eg,Eu
D4d | B1 | A1,B1,E1,E2,E3 | A2,B2
D5d | A1u | A1g,A1u | A2g,A2u | E1g,E1u | E2g,E2u
D6d | B1 | A1,B1,E1,E2,E3,E4,E5 | A2,B2
D7d | A1u | A1g,A1u | A2g,A2u | E1g,E1u | E2g,E2u | E3g,E3u
D8d | B1 | A1,B1,E1,E2,E3,E4,E5,E6,E7 | A2,B2


Symmetric Top Molecule

These are the settings for a symmetric molecule as a whole, i.e. those common to all states (but perhaps different for different isotopomers).

Settings

nNuclei | Number of nuclei to calculate hyperfine structure for.
Jmin | Minimum J to use in calculation - set to -1 (default) to use value from species.
Jmax | Maximum J to use in calculation - set to -1 (default) to use value from species.
Colour | Colour - set to "None" to take value from elsewhere.
PointGroup | Point group of molecule. Possible values are: C3v, C4v, C5v, C6v, C7v, C8v, D3h, D4h, D5h, D6h, D7h, D8h, D2d, D3d, D4d, D5d, D6d, D7d, D8d
Wt0 | Statistical Weight for each possible rovibronic symmetry. The number of settings here depends on the point group set as above, with one setting per rovibronic symmetry.

Parameters

Abundance Abundance of this isotope; default is 1


Symmetric Top Manifold

This alters the settings for the manifolds included within a symmetric top molecule.

Settings

Jmin | Minimum J in calculation - set negative to take from the molecule or manifold.
Jmax | Maximum J in calculation - set negative to take from the molecule or manifold.
Initial | True to include population in this state when calculating spectra.
Colour | Colour for spectra - set to "None" to get colour from elsewhere.
EigenSearch | Identify state by looking for largest coefficient in eigenvector.
LimitSearch | Set to assume the energy ordering within an individual state does not change, but the eigenvectors are used to select the state.


Symmetric Top State

This allows setting rotational constants and other values specific to each state in the molecule.

Settings

Colour | Colour - set to "None" to take value from elsewhere.
S | Electron Spin
Symmetry | Symmetry

Parameters

Origin | State Origin.
Width | Linewidth (rotation independent) for state.
B | Rotational perpendicular to symmetry axis.
C | Rotational constant about symmetry axis.
DJ | J2(J+1)2 Quartic Centrifugal Distortion
DJK | J(J+1)K2 Quartic Centrifugal Distortion
DK | K4 Quartic Centrifugal Distortion
zeta | Coriolis coupling constant.
etaJ | J(J+1) dependence of Coriolis coupling constant.
etaK | K2 dependence of Coriolis coupling constant.
qplus | l doubling constant.
qminus | l doubling constant.
r | l doubling constant.
DqJ | Centrifugal distortion of l doubling constant.
DqK | Centrifugal distortion of l doubling constant.
HJ | J^3(J+1)^3 Sextic Centrifugal Distortion
HJK | J2(J+1)2K2 Sextic Centrifugal Distortion
HKJ | J(J+1)K4 Sextic Centrifugal Distortion
HK | K6 Sextic Centrifugal Distortion


Asymmetric Tops

See the following objects:
  • Manifold
  • Molecule
  • Nucleus
  • State
  • Perturbation


Asymmetric Top Nucleus

If the parent molecule has nNuclei non zero, then each state will have nNuclei of these. One of these for each state for each nucleus for which hyperfine structure should be simulated. The spin of each nuclei is set from the corresponding entry in any state.

Settings

Spin Nuclear spin. (Note that this setting should logically be at the molecule, rather than the state level. Changing a spin here will change the corresponding spins in any other states.)

Parameters

aF | Nuclear spin - electron spin Fermi Contact interaction (I.S).
Tzz | Tzz = -(Txx+Tyy) component of Nuclear spin - electron spin dipole dipole interaction.
Txxmyy | Txx-Tyy component of Nuclear spin - electron spin dipole dipole interaction.
Tab | ab component of Nuclear spin - electron spin dipole dipole interaction.
Tac | ac component of Nuclear spin - electron spin dipole dipole interaction.
Tbc | bc component of Nuclear spin - electron spin dipole dipole interaction.


Asymmetric Top Molecule

These are the settings for an asymmetric molecule as a whole, i.e. those common to all states (but perhaps different for different isotopomers).

Settings

nNuclei | Number of nuclei to calculate hyperfine structure for.
Jmin | Minimum J to use in calculation - set to -1 (default) to use value from the species.
Jmax | Maximum J to use in calculation - set to -1 (default) to use value from the species.
Colour | Colour - set to "None" to take value from elsewhere.
PointGroup | Point group - C1, Ci, C2, Cs, D2, C2v, C2h or D2h
Representation | Representation - Ir, IIr, IIIr, Il, IIl or IIIl
SReduction | Use Watson's S reduction (as opposed to A).
eeWt | Statistical weight for ee levels
eoWt | Statistical weight for eo levels
oeWt | Statistical weight for oe levels
ooWt | Statistical weight for oo levels
C2zAxis | a, b, or c; C2 axis in C2v; out of plane axis in Cs
C2xAxis | a, b, or c; out of plane axis in C2v
PseudoC2v | Ignore any operators breaking C2v symmetry.
FakeSym | Turn off transition moment test.

Parameters

Abundance Abundance of this isotope; default is 1


Asymmetric Top Manifold

This alters the settings for the manifolds included within an asymmetric molecule.

Settings

Jmin | Minimum J in calculation - set negative to take from molecule or manifold.
Jmax | Maximum J in calculation - set negative to take from molecule or manifold.
Initial | True to include population in this state when calculating spectra.
Colour | Colour for spectra - set to "None" to get colour from elsewhere.
EigenSearch | Identify state by looking for largest coefficient in eigenvector.
LimitSearch | Set to assume the energy ordering within an individual state does not change, but the eigenvectors are used to select the state.


Asymmetric Top State

This allows setting rotational constants and other values specific to each state in the molecule.

Settings

Colour | Colour - set to "None" to take value from elsewhere.
S | Spin
Symmetry | Symmetry
Kmin | Minimum |K| to use; -1 (default) for no lower limit.
Kmax | Maximum |K| to use; -1 (default) for no upper limit.

Parameters

Origin | State Origin.
Width | Linewidth (rotation independent) for state.
A | A rotational constant
B | B rotational constant
C | C rotational constant
BBar | Average of rotational constants perpendicular to K axis - Alternate form for rotational constants
BDelta | Difference between rotational constants perpendicular to K axis - Alternate form for rotational constants
DK | K^4 Quartic Centrifugal Distortion
DJK | J(J+1)K^2 Quartic Centrifugal Distortion
DJ | J^2(J+1)^2 Quartic Centrifugal Distortion
deltaK | deltaK - A/S reduction dependent off diagonal Quartic Centrifugal Distortion
deltaJ | deltaJ - A/S reduction dependent off diagonal Quartic Centrifugal Distortion
HK | K^6 Sextic Centrifugal Distortion
HKJ | J(J+1)K^4 Sextic Centrifugal Distortion
HJK | J^2(J+1)^2K^2 Sextic Centrifugal Distortion
HJ | J^3(J+1)^3 Sextic Centrifugal Distortion
phiK | phiK - A/S reduction dependent off diagonal Sextic Centrifugal Distortion
phiJK | phiJK - A/S reduction dependent off diagonal Sextic Centrifugal Distortion
phiJ | phiJ - A/S reduction dependent off diagonal Sextic Centrifugal Distortion
LK | K^8 Octic Centrifugal Distortion
LKKJ | J(J+1)K^6 Octic Centrifugal Distortion
LJK | J^2(J+1)^2K^4 Octic Centrifugal Distortion
LJJK | J^3(J+1)^3K^2 Octic Centrifugal Distortion
LJ | J^4(J+1)^4 Octic Centrifugal Distortion
llK | llK - A/S reduction dependent off diagonal Octic Centrifugal Distortion
llKJ | llKJ - A/S reduction dependent off diagonal Octic Centrifugal Distortion
llJK | llJK - A/S reduction dependent off diagonal Octic Centrifugal Distortion
llJ | llJ - A/S reduction dependent off diagonal Octic Centrifugal Distortion
eaa | aa spin-rotation Parameter
ebb | bb spin-rotation Parameter
ecc | cc spin-rotation Parameter
eabbar | (eab + eba)/2
eacbar | (eac + eca)/2
ebcbar | (ebc + ebc)/2
DsN | (DeltasN in A reduction) quartic spin rotation parameter
DsNK | (DeltasNK in A reduction) quartic spin rotation parameter
DsKN | (DeltasKN in A reduction) quartic spin rotation parameter
DsK | (DeltasK in A reduction) quartic spin rotation parameter
ds1 | (deltasN in A reduction) quartic spin rotation parameter
ds2 | (deltasK in A reduction) quartic spin rotation parameter
alpha | Diagonal spin-spin coupling constant (=D/3)
beta | Off-Diagonal spin-spin coupling constant (=E)
wKa | multiplier of <Ja2> for linewidth
wKb | multiplier of <Jb2> for linewidth
wKc | multiplier of <Jc2> for linewidth
wBar | multiplier of <J(J+1)-K2> for linewidth
wDelta | multiplier of <J+2+J_2>/4 for linewidth


Asymmetric Top Perturbation

There will be one of these for each perturbation parameter in each state.

Settings

Nucleus | Index, starting from 1, of the nuclear spin involved in perturbation; 0 (default) for those not involving a nuclear spin.
JPower | Twice power of J(J+1)
aPower | Power of Ja
bPower | Power of Jb
cPower | Power of Jc
pPower | Power of J+ or J-

Parameters

Value Size of perturbation.


Samples

This section shows some examples of data files for various molecules. These include:

an O2 microwave spectrum - this is a microwave spectrum for a linear molecule, and involves a spin magnetic dipole transition moment.

a CFBr electronic transition - this is an example of an electronic spectrum for an asymmetric top molecule, and shows how different isotopes can be included within data files.

a C2 Swan band - again, this is an example of an electronic spectrum, this time for a linear molecule. Two examples are given; one is a simple example including one vibrational band only, the other is more complicated and includes many vibrational bands.


O2 Microwave Spectrum

This shows an example of a microwave spectrum using a magnetic moment. The values are taken from G.Yu. Golubiatnikov and A.F. Krupnov, J Molec. Spectrosc. 225, 222 (2004), but with γH = 0, which gives a better fit to the experimental data.
.
It gives good, but not exact agreement with their calculated values. The values calculated by PGOPHER have been checked against the explicit formulae given in Rouille at al, J Molec. Spectrosc. 154, 372 (1992) so the discrepancy is probably due to a slight difference in the method of calculation.

<?xml version="1.0"?>
<Mixture Name="o2\o2fittedmuwave.pgo" Units="MHz">
<Parameter Name="FMax" Value="5000000"/>
<Species Name="O2" Jmax="60">
<LinearMolecule Name="16O16O" Symmetric="True" AsymWt="0">
<LinearManifold Name="X" Initial="True">
<Linear Name="v=0" S="2" Lambda="Sigma-">
<Parameter Name="B" Value="43100.4425"/>
<Parameter Name="LambdaSS" Value="59501.3456"/>
<Parameter Name="Gamma" Value="-252.58648"/>
<Parameter Name="D" Value="0.145124"/>
<Parameter Name="H" Value="3.8E-8"/>
<Parameter Name="LambdaD" Value="0.058344"/>
<Parameter Name="LambdaH" Value="3.13E-7"/>
<Parameter Name="gammaD" Value="-0.0002452"/>
</Linear>
</LinearManifold>
<TransitionMoments Bra="X" Ket="X">
<SpinTransitionMoment Bra="v=0" Ket="v=0"/>
<SpinTransitionMoment Component="2" Bra="v=0" Ket="v=0"/>
</TransitionMoments>
</LinearMolecule>
</Species>
</Mixture>


C2 Swap Bands

C2 Swan Bands

This shows an example of an electronic spectrum. The constants are taken from G. M. Lloyd and P. Ewart, J Chem. Phys. 110, 385 (1999). The line positions agree with the calculated line positions from the paper to about 0.0001 cm-1. A small adjustment was required to the contants - the difference between pD+2qD between the two states is taken to be -9.42 rather than -0.942 as given in Table II. (The value given in Table II is not the value quoted by Prasad and Bernath as quoted in the footnotes to the table.) Note that LimitSearch="True" is required for the F1/F2/F3 quantum numbers to be calculated correctly. See below for a larger example involving several vibrational states.

<?xml version="1.0"?>
<Mixture Name="D:\delphi\projects\pgopher\C2\c2a.pgo" nDF="1000">
<Parameter Name="Gaussian" Value="0.1"/>
<Parameter Name="Temperature" Value="3000"/>
<Parameter Name="FMin" Value="19260"/>
<Parameter Name="FMax" Value="21422"/>
<Parameter Name="Tvib" Value="6000"/>
<Species Name="C2" Jmin="0" Jmax="360">
<LinearMolecule Name="C2" Symmetric="True" Jmax="400" AsymWt="0">
<LinearManifold Name="a3Piu" Initial="True" LimitSearch="True">
<Linear Name="v=0" Comment="Constants From G. M. Lloyd and P. Ewart , Journal of Chemical Physics 110, 385 (1999)" S="2" Lambda="Pi" gerade="False">
<Parameter Name="B" Value="1.624075"/>
<Parameter Name="A" Value="-15.2696"/>
<Parameter Name="LambdaSS" Value="-0.1476"/>
<Parameter Name="o" Value="0.675355"/>
<Parameter Name="p" Value="0.002402"/>
<Parameter Name="q" Value="-0.000497"/>
<Parameter Name="D" Value="6.479E-6"/>
<Parameter Name="H" Value="7.85E-12"/>
<Parameter Name="AD" Value="0.000276"/>
<Parameter Name="oD" Value="-8.22908E-6"/>
<Parameter Name="pD" Value="1.1996E-7"/>
<Parameter Name="qD" Value="-1.288E-8"/>
</Linear>
</LinearManifold>
<LinearManifold Name="d3Pig" LimitSearch="True" Jmax="100">
<Linear Name="v=0" Comment="Constants From G. M. Lloyd and P. Ewart , Journal of Chemical Physics 110, 385 (1999)" S="2" Lambda="Pi">
<Parameter Name="Origin" Value="19378.46456"/>
<Parameter Name="B" Value="1.7456043"/>
<Parameter Name="A" Value="-14.0005"/>
<Parameter Name="LambdaSS" Value="0.031"/>
<Parameter Name="o" Value="0.6094784"/>
<Parameter Name="p" Value="0.0039452"/>
<Parameter Name="q" Value="-0.0007636"/>
<Parameter Name="D" Value="6.855E-6"/>
<Parameter Name="AD" Value="0.000542"/>
<Parameter Name="oD" Value="1.202E-8"/>
<Parameter Name="pD" Value="-2.404E-8"/>
<Parameter Name="qD" Value="1.202E-8"/>
</Linear>
</LinearManifold>
<TransitionMoments Bra="a3Piu" Ket="d3Pig">
<SphericalTransitionMoment Bra="v=0" Ket="v=0">
<Parameter Name="Strength" Value="0.73521"/>
</SphericalTransitionMoment>
</TransitionMoments>
</LinearMolecule>
</Species>
</Mixture>

This is a more complicated example, including many vibrational bands. The 0-0 band is as above, with the additional constants from C.V.V. Prasad and P.F. Bernath, Astrophys. J..426, 812 (1994). Note that the vibrational states are all in the same manifold, though this is not essential.

<?xml version="1.0"?>
<Mixture Name="D:\delphi\projects\pgopher\C2\swan.pgo" nDF="1000">
<Parameter Name="Gaussian" Value="20"/>
<Parameter Name="Temperature" Value="3000"/>
<Parameter Name="FMin" Value="9909.48140134859"/>
<Parameter Name="FMax" Value="28250.9762842657"/>
<Parameter Name="Tvib" Value="3100"/>
<Species Name="C2" Jmin="0" Jmax="360">
<LinearMolecule Name="C2" Symmetric="True" RSquaredH="True" AsymWt="0">
<LinearManifold Name="a3Piu" Initial="True" LimitSearch="True">
<Linear Name="v=0" Comment="Constants From G. M. Lloyd and P. Ewart , Journal of Chemical Physics 110, 385 (1999)" S="2" Lambda="Pi" gerade="False">
<Parameter Name="B" Value="1.624075"/>
<Parameter Name="A" Value="-15.2696"/>
<Parameter Name="LambdaSS" Value="-0.1476"/>
<Parameter Name="o" Value="0.675355"/>
<Parameter Name="p" Value="0.002402"/>
<Parameter Name="q" Value="-0.000497"/>
<Parameter Name="D" Value="6.479E-6"/>
<Parameter Name="H" Value="7.85E-12"/>
<Parameter Name="AD" Value="0.000276"/>
<Parameter Name="oD" Value="-8.22908E-6"/>
<Parameter Name="pD" Value="1.1996E-7"/>
<Parameter Name="qD" Value="-1.288E-8"/>
</Linear>
<Linear Name="v=1" Comment="CVV Prasad and PF Bernath, ApJ 426, 812 (1994)" S="2" Lambda="Pi" gerade="False">
<Parameter Name="Origin" Value="1618.02017"/>
<Parameter Name="B" Value="1.607428"/>
<Parameter Name="A" Value="-15.25173"/>
<Parameter Name="LambdaSS" Value="-0.15327"/>
<Parameter Name="o" Value="0.66982"/>
<Parameter Name="p" Value="0.00272"/>
<Parameter Name="q" Value="-0.0005816"/>
<Parameter Name="D" Value="6.4447E-6"/>
<Parameter Name="AD" Value="0.0002005"/>
</Linear>
<Linear Name="v=2" Comment="CVV Prasad and PF Bernath, ApJ 426, 812 (1994)" S="2" Lambda="Pi" gerade="False">
<Parameter Name="Origin" Value="3212.7212"/>
<Parameter Name="B" Value="1.590799"/>
<Parameter Name="A" Value="-15.2382"/>
<Parameter Name="LambdaSS" Value="-0.15"/>
<Parameter Name="o" Value="0.66"/>
<Parameter Name="p" Value="0.0026"/>
<Parameter Name="q" Value="-0.00056"/>
<Parameter Name="D" Value="6.4607E-6"/>
<Parameter Name="AD" Value="0.0002"/>
</Linear>
<Linear Name="v=3" Comment="CVV Prasad and PF Bernath, ApJ 426, 812 (1994)" S="2" Lambda="Pi" gerade="False">
<Parameter Name="Origin" Value="4784.0929"/>
<Parameter Name="B" Value="1.57432"/>
<Parameter Name="A" Value="-15.2167"/>
<Parameter Name="LambdaSS" Value="-0.15"/>
<Parameter Name="o" Value="0.6668"/>
<Parameter Name="p" Value="0.0026"/>
<Parameter Name="q" Value="-0.00056"/>
<Parameter Name="D" Value="6.4772E-6"/>
<Parameter Name="AD" Value="0.0002"/>
</Linear>
<Linear Name="v=4" Comment="CVV Prasad and PF Bernath, ApJ 426, 812 (1994)" S="2" Lambda="Pi" gerade="False">
<Parameter Name="Origin" Value="6332.125"/>
<Parameter Name="B" Value="1.55677"/>
<Parameter Name="A" Value="-15.1986"/>
<Parameter Name="LambdaSS" Value="-0.15"/>
<Parameter Name="o" Value="0.66"/>
<Parameter Name="p" Value="0.0026"/>
<Parameter Name="q" Value="-0.00056"/>
<Parameter Name="D" Value="6.5001E-6"/>
<Parameter Name="AD" Value="0.0002"/>
</Linear>
<Linear Name="v=5" Comment="3PU V=5" S="2" Lambda="Pi" gerade="False">
<Parameter Name="Origin" Value="7857.83"/>
<Parameter Name="B" Value="1.541"/>
<Parameter Name="A" Value="-15.25"/>
<Parameter Name="D" Value="7.3065E-6"/>
</Linear>
<Linear Name="v=6" Comment="3PU V=6 GUESSB" S="2" Lambda="Pi" gerade="False">
<Parameter Name="Origin" Value="9359.15"/>
<Parameter Name="B" Value="1.5244"/>
<Parameter Name="A" Value="-15.25"/>
<Parameter Name="D" Value="7.4095E-6"/>
</Linear>
</LinearManifold>
<LinearManifold Name="d3Pig" LimitSearch="True">
<Linear Name="v=0" Comment="Constants From G. M. Lloyd and P. Ewart , Journal of Chemical Physics 110, 385 (1999)" S="2" Lambda="Pi">
<Parameter Name="Origin" Value="19378.46456"/>
<Parameter Name="B" Value="1.7456043"/>
<Parameter Name="A" Value="-14.0005"/>
<Parameter Name="LambdaSS" Value="0.031"/>
<Parameter Name="o" Value="0.6094784"/>
<Parameter Name="p" Value="0.0039452"/>
<Parameter Name="q" Value="-0.0007636"/>
<Parameter Name="D" Value="6.855E-6"/>
<Parameter Name="AD" Value="0.000542"/>
<Parameter Name="oD" Value="1.202E-8"/>
<Parameter Name="pD" Value="-2.404E-8"/>
<Parameter Name="qD" Value="1.202E-8"/>
</Linear>
<Linear Name="v=1" Comment="CVV Prasad and PF Bernath, ApJ 426, 812 (1994)" S="2" Lambda="Pi">
<Parameter Name="Origin" Value="21132.13932"/>
<Parameter Name="B" Value="1.7254184"/>
<Parameter Name="A" Value="-13.87387"/>
<Parameter Name="LambdaSS" Value="0.02976"/>
<Parameter Name="o" Value="0.61705"/>
<Parameter Name="p" Value="0.004078"/>
<Parameter Name="q" Value="-0.0008139"/>
<Parameter Name="D" Value="7.0277E-6"/>
<Parameter Name="AD" Value="0.0005519"/>
</Linear>
<Linear Name="v=2" Comment="CVV Prasad and PF Bernath, ApJ 426, 812 (1994)" S="2" Lambda="Pi">
<Parameter Name="Origin" Value="22848.3908"/>
<Parameter Name="B" Value="1.70434"/>
<Parameter Name="A" Value="-13.8206"/>
<Parameter Name="LambdaSS" Value="0.03"/>
<Parameter Name="o" Value="0.6628"/>
<Parameter Name="p" Value="0.004"/>
<Parameter Name="q" Value="-0.000651"/>
<Parameter Name="D" Value="7.106E-6"/>
<Parameter Name="AD" Value="0.00052"/>
</Linear>
<Linear Name="v=3" Comment="CVV Prasad and PF Bernath, ApJ 426, 812 (1994)" S="2" Lambda="Pi">
<Parameter Name="Origin" Value="24524.208"/>
<Parameter Name="B" Value="1.681445"/>
<Parameter Name="A" Value="-13.5233"/>
<Parameter Name="LambdaSS" Value="0.03"/>
<Parameter Name="o" Value="0.5746"/>
<Parameter Name="p" Value="0.004"/>
<Parameter Name="q" Value="-0.000751"/>
<Parameter Name="D" Value="7.374E-6"/>
<Parameter Name="AD" Value="0.00052"/>
</Linear>
<Linear Name="v=4" Comment="3PG V=4 GuessB" S="2" Lambda="Pi">
<Parameter Name="Origin" Value="26205.77"/>
<Parameter Name="B" Value="1.6609"/>
<Parameter Name="A" Value="-16.9"/>
<Parameter Name="D" Value="7.203E-6"/>
</Linear>
<Linear Name="v=5" Comment="3pg v=5 guessb" S="2" Lambda="Pi">
<Parameter Name="Origin" Value="27829.59"/>
<Parameter Name="B" Value="1.6397"/>
<Parameter Name="A" Value="-16.9"/>
<Parameter Name="D" Value="7.307E-6"/>
</Linear>
</LinearManifold>
<TransitionMoments Bra="a3Piu" Ket="d3Pig">
<SphericalTransitionMoment Bra="v=0" Ket="v=0">
<Parameter Name="Strength" Value="0.73521"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=0" Ket="v=1">
<Parameter Name="Strength" Value="0.23963"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=0" Ket="v=2">
<Parameter Name="Strength" Value="0.024457"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=0" Ket="v=3">
<Parameter Name="Strength" Value="0.0007066"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=0" Ket="v=4">
<Parameter Name="Strength" Value="5.5E-7"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=1" Ket="v=0">
<Parameter Name="Strength" Value="0.213"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=1" Ket="v=1">
<Parameter Name="Strength" Value="0.36359"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=1" Ket="v=2">
<Parameter Name="Strength" Value="0.3614"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=1" Ket="v=3">
<Parameter Name="Strength" Value="0.0598"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=1" Ket="v=4">
<Parameter Name="Strength" Value="0.0021769"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=2" Ket="v=0">
<Parameter Name="Strength" Value="0.04311"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=2" Ket="v=1">
<Parameter Name="Strength" Value="0.2784"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=2" Ket="v=2">
<Parameter Name="Strength" Value="0.16196"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=2" Ket="v=3">
<Parameter Name="Strength" Value="0.4139"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=2" Ket="v=4">
<Parameter Name="Strength" Value="0.0984"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=3" Ket="v=0">
<Parameter Name="Strength" Value="0.0073689"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=3" Ket="v=1">
<Parameter Name="Strength" Value="0.091575"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=3" Ket="v=2">
<Parameter Name="Strength" Value="0.2707"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=3" Ket="v=3">
<Parameter Name="Strength" Value="0.060268"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=3" Ket="v=4">
<Parameter Name="Strength" Value="0.4275"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=4" Ket="v=0">
<Parameter Name="Strength" Value="0.0011291"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=4" Ket="v=1">
<Parameter Name="Strength" Value="0.021686"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=4" Ket="v=2">
<Parameter Name="Strength" Value="0.12956"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=4" Ket="v=3">
<Parameter Name="Strength" Value="0.2319"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=4" Ket="v=4">
<Parameter Name="Strength" Value="0.0153"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=5" Ket="v=0">
<Parameter Name="Strength" Value="0.00015816"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=5" Ket="v=1">
<Parameter Name="Strength" Value="0.0042614"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=5" Ket="v=2">
<Parameter Name="Strength" Value="0.039875"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=5" Ket="v=3">
<Parameter Name="Strength" Value="0.15272"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=5" Ket="v=4">
<Parameter Name="Strength" Value="0.1844"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=6" Ket="v=0">
<Parameter Name="Strength" Value="2.0201E-5"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=6" Ket="v=1">
<Parameter Name="Strength" Value="0.000732"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=6" Ket="v=2">
<Parameter Name="Strength" Value="0.0096387"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=6" Ket="v=3">
<Parameter Name="Strength" Value="0.05866"/>
</SphericalTransitionMoment>
<SphericalTransitionMoment Bra="v=6" Ket="v=4">
<Parameter Name="Strength" Value="0.162"/>
</SphericalTransitionMoment>
</TransitionMoments>
</LinearMolecule>
</Species>
</Mixture>


CFBr Spectrum

This example spectrum shows the A-X electronic transition of CFBr. This is an example of an asymmetric top molecule. The constants given here are my own, obtained from line position fitting the PGOPHER simulation to an experimental spectrum obtained by laser induced fluorescence. Initially, a PGOPHER simulation was created using some approximate constants from P. T. Knepp, C. K. Scalley, G. B. Bacskay and S. H. Kable, J. Chem. Phys., 109, (2220).

</Mixture><?xml version="1.0"?>
<Mixture Name="cfbr.pgo">
<Parameter Name="Lorentzian" Value="0.015"/>
<Parameter Name="OThreshold" Value="1E-6"/>
<Parameter Name="Temperature" Value="10"/>
<Parameter Name="FMin" Value="23575"/>
<Parameter Name="FMax" Value="23576"/>
<Species Name="CFBr">
<AsymmetricMolecule Name="CF79Br" Colour="Red" C2zAxis="a" Jmax="40" PointGroup="C2v">
<AsymmetricManifold Name="X">
<AsymmetricTop Name="v=000" Symmetry="A1">
<Parameter Name="A" Value="2.2"/>
<Parameter Name="B" Value="0.14/>
<Parameter Name="C" Value="0.13/>
</AsymmetricTop>
</AsymmetricManifold>
<AsymmetricManifold Name="A">
<AsymmetricTop Name="v=042" Symmetry="B1">
<Parameter Name="Origin" Value="23571/>
<Parameter Name="A" Value="3.7/>
<Parameter Name="B" Value="0.12/>
<Parameter Name="C" Value="0.12/>
</AsymmetricTop>
</AsymmetricManifold>
<TransitionMoments Bra="X" Ket="A">
<CartesianTransitionMoment Axis="c" Bra="v=000" Ket="v=042">
<Parameter Name="Strength" Value="1"/>
</CartesianTransitionMoment>
</TransitionMoments>
</AsymmetricMolecule>
<AsymmetricMolecule Name="CF81Br" Colour="Blue" C2zAxis="a" Jmax="40" PointGroup="C2v">
<AsymmetricManifold Name="X">
<AsymmetricTop Name="v=000" Symmetry="A1">
<Parameter Name="Origin">
<Parameter Name="A" Value="2.2/>
<Parameter Name="B" Value="0.14/>
<Parameter Name="C" Value="0.13/>
</AsymmetricTop>
</AsymmetricManifold>
<AsymmetricManifold Name="A">
<AsymmetricTop Name="v=042" Symmetry="B1">
<Parameter Name="Origin" Value="23572/>
<Parameter Name="A" Value="3.7/>
<Parameter Name="B" Value="0.12/>
<Parameter Name="C" Value="0.12/>
</AsymmetricTop>
</AsymmetricManifold>
<TransitionMoments Colour="None" Bra="X" Ket="A">
<CartesianTransitionMoment Axis="c" Bra="v=000" Ket="v=042">
<Parameter Name="Strength" Value="1"/>
</CartesianTransitionMoment>
</TransitionMoments>
</AsymmetricMolecule>
</Species>
</Mixture>


Windows

This section gives a description of the various windows used in PGOPHER. The following can all be accessed from the view menu:
  • constants
  • linelist
  • log
  • overlay
  • states
  • levels
  • transitions
The rename dialog box appears on right-clicking on a transition moment or perturbation in the tree view of the constants window and selecting "Rename".

The pick channels dialog box is shown if you try to load a data file with more than two channels of data.


Main Window

This is the main PGOPHER window in which simulations are displayed. The toolbar at the top enables the simulation display to be altered, and also provides a means of changing parameters such as the spectral temperature and linewidth. Click on an item in the picture below for more information:

Open a parameter or data file.
Shift plot range to left.
Shift plot range to right.
Compress plot range.
Expand plot range.
Change plot range to a selected range, which can be selected by left-clicking and dragging over the required area.
Plot entire spectrum.
Simulate spectrum.
Cycle through plot styles. This allows simulations for individual molecules, manifolds or states to be shown separately, and allows simulations to be plotted "upside down".
Show constituent parts of spectrum (arising from different manifolds) in different colours.
Show total spectrum, including all manifolds.
Display Fortrat Diagram.
Show selected region only.
Shrink plot.
Reset plot zoom to fill window.
Paste an experimental spectrum to overlay the simulation from the clipboard.

Offset | Useful for lining up experimental spectrum and simulation. Moves the spectrum by the required number of units (cm-1, MHz, Kelvin or eV, dependent on which units are selected). This can also be done by clicking and dragging the simulation with the Alt key held down.
T | Alters the spectral temperature.
Gau | Alters the Gaussian contribution to linewidth.
Lor | Alters the Lorentzian contribution to linewidth.

Fortrat Diagram

This is a plot of J against transition frequency. This can be displayed or hidden using the Show Fortrat [image] button. Different symmetries are labeled with different symbols - see the key at the top of the diagram. The J plotted can be upper or lower state, as set in the plot menu.

Status Bar

The first two numbers show the horizontal and vertical position of the mouse. The next two numbers are the horizontal and vertical width of any box drawn with the mouse.


Constants Window

This window allows setting of individual parameters and other options, and is used to control which parameters are floated during the fitting process. To display this window select View, Constants... from the main window.

Click on an item for more information:

Object Selector

This allows you to select the object to be edited. The format is <type of object>:<name of object>

Tree View

This shows the objects being edited; click on an object to select it for editing. Right clicking (or Shift+F10) on an object brings up a popup menu which allows you to copy, paste delete, move and add objects. To add objects either:

  1. Right-click on the object above where you want to are add to in the tree view and select "Add new...", and then select the object required. Only objects that can be inserted at that point in the tree will be displayed.
  2. Right click on a similar entry and select "copy", then right click where you want the new object to be and select "paste". This is often easier than adding a completely new object as the values of the parameters and settings will be copied to the new object. Note that it is possible to copy and paste between independent copies of PGOPHER should you want to use an object from a completely different file as a starting point

Parameters

This allows you to edit individual parameter values. To edit a value, click on the cell or use the F2 key. For help on the current cell hit F1. The "increment" column is the increment used for calculating numerical derivatives while fitting. If left blank (the default) or negative 0.0001 of the initial value is used. A value of the order of the standard deviation in the parameter is often helpful in stabilizing an otherwise problematic fit.

Settings

This allows you to edit individual settings. To edit a value click on the cell or use the F2 key. For help on the current (highlighted) cell hit F1.

This shows and allows you to edit a comment on current item. The comment is not used elsewhere and there is no limit on the comment length.

Fix all parameters, i.e. set float = "no" for all parameters for all objects in this window.

Cycle through available units (cm-1, nm, MHz, Kelvin and eV), converting parameter values as appropriate each time. To convert the interpretation of the parameters without changing the actual values set Units in the Mixture object (Settings) instead.


Overlays Window

This window is accessible through "Properties" in the overlays menu, and allows you to load one or more overlay files, and to adjust and/or float various overlay parameters. One or more overlays may be in use at once. To select the overlay required, click on its number in the "Overlays" box on the left hand side of the window, or select from the list at the top. The appearance of the overlay window will vary, depending on whether the overlaid spectrum is an experimental spectrum or a bitmap (follow these links for more information).

Load overlay file. Note that the upper button loads a single overlay file, clearing the current overlay. The lower button adds to the current overlay.
Save all overlays
Save all overlays to a different file. Note that the upper button saves all overlays, the lower just the current one.
Copy current overlay to clipboard
Add another overlay from the clipboard
Fix all parameters, i.e. set Float = "no" for all parameters.
Cycle through units (cm-1, nm, MHz, Kelvin and eV), converting parameter values as appropriate each time
Add overlay from file. Note that the upper button loads a single overlay file, clearing the current overlay.
Export current overlay to file. Note that the upper button saves all overlays, the lower just the current one.
Copy peaks to clipboard
Delete peaks from this overlay


\\mole\Laser\chnle\SO\c0_om0_x0B5.ovr - Overlays

Experimental Overlays

This is a typical display shown when an experimental overlay is chosen from the tree view in the overlay window. For more information, click on the picture below:

Explanation of the parameters and settings in this window are given here.

Load overlay file. Note that the upper button loads a single overlay file, clearing the current overlay. The lower button adds to the current overlay.
Save all overlays
Save all overlays to a different file. Note that the upper button saves all overlays, the lower just the current one.
Copy current overlay to clipboard
Add another overlay from the clipboard
Fix all parameters, i.e. set Float = "no" for all parameters.
Cycle through units (cm-1, nm, MHz, Kelvin and eV), converting parameter values as appropriate each time
Add overlay from file. Note that the upper button loads a single overlay file, clearing the current overlay.
Export current overlay to file. Note that the upper button saves all overlays, the lower just the current one.
Copy peaks to clipboard
Delete peaks from this overlay

This allows an overlay to be selected from the overlays currently loaded. Overlays can also be selected using the tree view in the overlays window.

This shows and allows you to edit a comment on current item. The comment is not used elsewhere and there is no limit on the comment length


C:\Documents and Settings\chnle\My Documents\overlay.ovr - Overlays

Bitmap Overlay

This is the overlays window shown for a bitmap overlay. Many of the buttons in the bitmap overlay window are the same as for the experimental overlay window, as described here. However, unlike an experimental spectrum, a bitmap spectrum does not contain frequency and intensity points. It is therefore necessary to set the frequency scale manually by identifying two points on the spectrum with known frequency:
  1. For the first point, click the Xpixel 1 button, and then click on the point in the bitmap spectrum. Enter the corresponding frequency at Frequency1 in the grid.
  2. For the second point, click the X pixel 2 button, and then click on the point in the bitmap spectrum. Enter the corresponding frequency at Frequency2 in the grid.
If you want to set the vertical scale:
  1. Click the baseline button and then click on a point on the baseline in the spectrum.
  2. Click the maximum button, and then click on a point on the highest point of the spectrum.
  3. If you need to change the vertical range produced (the default is 0 to 1) change the BaselineIntensity and MaximumIntensity values in the grid.

Moving the cursor to a point on the bitmap gives an x and y pixel number in the status bar and, when the wavelength and intensity scale have been set, shows the wavelength and intensity of that point.

This is where the start and end frequencies, baseline and maximum intensities are set manually. A frequency offset can also be applied, if necessary.

This is where the points for the start and end frequencies, and the points for the baseline and maximum intensity will be entered (the numbers are entered automatically on pressing the [image], [image], [image] and [image] buttons and clicking the appropriate point on the bitmap).

This shows and allows you to edit a comment on current item. The comment is not used elsewhere and there is no limit on the comment length.
Toggle display between fit to window and actual size.
Compact bitmap by reducing to a single colour.
Cancel setting variables by mouse.
Set point for Frequency 1 with the mouse.
Set point for Frequency 2 with the mouse.
Set baseline point with the mouse.
Set Maximum intensity point with the mouse.
Delete peaks from this overlay.
Discard bitmap outside selected area.
Undo work done with "Crop" button.
Convert photographic plate spectrum to a conventional overlay, as shown in the example below.


Line List Window

Note: All quantum numbers (spin, J, K...) are input and displayed at double their actual values to allow for half integral values.

This window is used when carrying out a line position fit. It appears when right-clicking on a peak in PGOPHER, and displays the position and intensity of the selected lines. Typically, a selected line will consist of contributions from more than one rotational transition; these are all displayed in the line list window, with the most intense listed first. Click on an item in the picture below for more information:

Copy selected lines to clipboard, so that the assignments can be pasted into an observations (.lin) file (see the section on line position fitting for more details).

Copy selected lines to clipboard and delete (again, so the assignments can then be pasted into the .lin file).

Delete selected lines not required in the assignment.

Fit observations in this window.

Delete all lines in the line list window.

Set frequency of selected line from clipboard. Assigning is done by right clicking and dragging over the chosen peak in the experimental spectrum (either in the program from which the experimental spectrum originated, or over the overlay spectrum in PGOPHER. A blue line in the experimental spectrum will appear, indicating that a measurement has been done).

Select all lines in the line list window.

Select no lines.

Close window.

Delete unassigned lines.

Show difference between first and last line selected.

Sort lines (on Frequency, Branch, Upper state, Lower state, Strength, Width or Weight).

If on, assign measured peak to selected transitions automatically (if off, this can be done manually using Assign).

Column contents

Molecule | The molecule responsible for this rotational transition - useful when different isotopic species are present.
M' | Excited electronic state.
J' | Upper rotational state.
S' | Parity of upper state.
#' | Eigenvalue number for upper state. This simply gives where the energy level lies with respect to other levels of the same J and symmetry.
M'' | Ground electronic state.
J'' | Lower rotational state.
S'' | Parity of lower state.
#'' | Eigenvalue number for lower state.
Frequency | The frequency of the rotational transition - this will be given in cm-1, MHz, Kelvin and eV, depending on which units are selected in the constants window. The frequency is either that of the simulation peak (unassigned) or the experimental peak (assigned).
Weight | This is blank until the peak has been assigned, upon which it is given as 1. To perform a weighted fit this value should be proportional to the standard deviation of the measurement. A negative or zero value will cause the line to be ignored in any fit.
Strength | The intensity of the rotational transition.
Width | The width of the transition.
deltaNdeltaJ(F')F''(J'') | The branch (P,Q or R, etc) of the rotational transition, including a value for J''. The contents will depend on the type of molecule and flags set elsewhere.
Name | Name of the rotational transition - this includes an .ovr filename, when the transition has been assigned.


Log Window

This window is used for line position fits and contour fits and will also display details of calculations if the PrintLevel is positive. On performing a fit, the average error, new values for the floated parameters (selected in the constants window) and a correlation matrix is displayed. A line list giving details of each fitted rotational line, with an observed and calculated frequency and obs-calc for each line, is also given. The success of the fit can be judged from the obs-calc values and the average error; which should (of course) be as small as possible. Click on an item in the picture below for more information:

Do a line position fit. To run the fit more than once, increase the number of Cycles.

Do a contour fit to current overlays.

Step constants back one fit cycle for each press.

Step constants forward one fit cycle.

Copy log to clipboard.

Open line position (.lin) file for editing.

Clear log window.

Save log to file.


State Details Window

This window shows the Hamiltonian matrix and the eigenvalues for a particular state (upper or lower), J and symmetry.

J | Selects a value of J.
Symmetry | Selects symmetry (valid values depend on molecular point group)
State/Manifold | Selects a state (for a particular isotope, if applicable).
Perturbations | Checking this box allows perturbations to be taken into account.

This shows the Hamiltonian matrix before diagonalization
This shows the energy levels (Second column) and the corresponding coefficients (subsequent columns)


Transition Selection and Details Window

This window allows transitions of particular values of J and symmetry (for both upper and lower states) to be selected. This is especially useful for finding ground or excited state common differences (where a set of transitions either start or end with the same rotational level). To do this, select a particular J and possibly symmetry for the upper or lower state, and set the values for the other state to "all" (the lowest values on the spin boxes).Then press the [image] button to simulate the selected transitions. To revert to the original simulation, press the [image] button in the main window. Matrices of the transition moment operator are also displayed in this window.

Click on the picture below for more information.

Transition | Select transition required.
J | Select upper and lower state values of J.
Change | Select the change in J (to give only P, Q or R transitions, say).
Symmetry | Select symmetry for upper and lower states.
State/Manifold | Allows upper and lower states to be selected (in the case of more than one transition being included in the .pgo file, for example).
Add | Add lines corresponding to chosen transition to line list window.
Replace | Replace lines currently in line list window with new lines corresponding to chosen transition.
Skip | Leaves line list unchanged, i.e. does not add new transitions to line list.
Plot | Plots selected transitions in PGOPHER's main window (instead of full spectrum).
Perturbations | If cleared, excludes perturbations from the calculation.
Square | Squares values in the transformed transition matrix.

Original Transition Matrix

When a transition of fixed upper and lower J, and fixed symmetry, is selected, and the transition is allowed, transition moments in the undiagonalized basis are shown in this matrix, with the ground state basis shown down the left-hand side and the upper state basis shown across the top of the matrix. Symmetries are given in the upper left-hand corner e.g. <+||->

Transformed Transition Matrix

This contains the transition moments in the diagonalized basis.


Energy Level Plot Window

This window enables energy levels to be plotted for either a particular state or manifold, or for the whole molecule. It is possible to compare energy levels from the simulated spectrum with observed levels from an experimental spectrum, given a fit (.lin) file (made as described in line position fitting). To do this:
  1. Open the fit file in the Log window.
  2. Select [image] to plot upper state energy levels or [image] to plot lower state energy levels.
  3. Press [image] to display the observed energy levels.
  4. The display is normally clearer if [image] is selected for the calculated energy levels.
Click on an item in the diagram below for more information:

Adjust plot range to include all energy levels.

Expand vertical scale. The required area can first be selected by left-clicking and dragging.

Compress vertical scale

Show a point for each energy level.

Join energy levels with same symmetry with lines.

Plot both points and lines.

Do not show observed points.

Plot upper state observed levels (assuming the lower state energy levels are as calculated).

Plot lower state observed levels (assuming the upper state energy levels are as calculated).

(Re)load observations from the clipboard or file.

Join observed point to calculated point.

Open another energy level window.

State/Manifold/Molecule | Selects the object in the object hierarchy to be plotted.
Top | Highest energy displayed on the vertical scale.
Bottom | Lowest energy displayed on the vertical scale.
Jmax | Maximum rotational level (NB values of J are doubled here, whereas J values plotted on the energy level graph are not)
Jmin | Minimum rotational level.
Perturbations | Checking this box takes perturbations between states into account.
Join Highest |
Subtract | Subtract the given value time J(J+1) from the plotted points. If you choose a value close to the rotational constant the plots are typically clearer.


Rename Dialog Box

This window appears on right-clicking on a transition moment or transition moments in the tree view in the constants window and selecting "Rename". This allows you to select the states (for a transition moment) or manifold (for transition moments) connected by the transition. Use the "Bra" and "Ket" drop down boxes to select the required states or manifolds.

This is also displayed on right-clicking on a perturbation and selecting "Rename", which allows you to choose the states that are interacting.


Pick Channels Dialog

This dialog is shown if you try and load a data file with more than two channels of data.

Each channel has an entry in the grid, for which you can pick:
Frequency | The frequency channel (there must be only one of these).
Intensity | An Intensity channel (there can be one or more of these).
Weights | A Weight channel, used as a relative error when contour fitting. There must either be none of these, or one for each intensity channel.
Discard | The channel is discarded.


Menus

This section describes the various menus in PGOPHER. Most of these are described in more detail in earlier sections; this is just a summary.
  • File Menu
  • Edit Menu
  • Plot Menu
  • Overlays Menu
  • View Menu
  • Help Menu


File Menu

New, Empty Mixture | Create a new mixture with no content
New, Linear Molecule | Create a mixture set up for a single 1Σ+ - 1Σ+ transition, with a band origin at 1000 cm-1 and upper and lower rotational constants of 1 cm-1.
Open... | Open any file, including parameter (.pgo) files and experimental data files for overlay (.dat, .ovr)
Import | Import old style data files
Import, Old Pgopher... | Load old (version 4 and below) pgopher data files. (The older pgopher program only handled linear molecules, and had a very different interface.)
Import, Old D3h... | Load old D3h data file. (The D3h program handled symmetric tops only.)
Import, CALPGM file... |
Import, Binary File... | Import binary overlay file
Export, Line List... | Export current plot as a line list to a file.
Export, Plot... | Export plot to a file as x,y points
Load Overlay... | Load overlay from file
Merge | Set for subsequent file loads to merge rather than overwrite
Save | Save simulation parameters in a .pgo file. If a file name has not been specified then you will be prompted to browse for a suitable name.
Save As... | As for Save, but the standard save file dialog will appear to allow you to browse to a suitable file name.
Print... | Print current plot
Print Setup... | Setup printer
Recently Used Files | The last few files opened will appear here; select one to reload the file.
Exit | Leave program


Edit Menu

Copy | Copies the selection and puts it on the Clipboard
Paste | Insert item from clipboard.
Copy Picture | Copy current plot to clipboard. Important Note: You will almost certainly want to use Edit, Paste Special in the destination program, (rather than Edit,Paste) so you can select what you see. The program makes the plot available both as the raw data (i.e. lists of numbers in text format) and as the plot you see on the screen. Applications such as word processors will typically take the text rather than the picture by default.
Styles... | This enables the colour, the width of the lines and the line style of spectra to be changed. To alter one of these settings, select the relevant tick box, click "Apply", alter as required, and click "OK". The changes will be effected on resimulating the spectrum. Selecting "Default" restores spectra to solid, 0.0 Width/pt lines. (Colours of spectral lines are best changed in the constants window.
Paste Overlay | Paste a spectrum to overlay on the simulation from the clipboard


Overlays Menu

Paste | Paste spectrum (bitmap or experimental) overlay from clipboard
Paste Another | Add a spectrum to the current overlays from the clipboard
Select Region | Select a region of the overlayed spectrum for action (this can temporarily remove unwanted parts of the overlay from the main window).
Clear Selection | Clear selection of overlayed spectrum (this cancels the action of "Select Region").
Invert | Invert all overlayed spectra
Clear Overlays | Remove all overlayed spectra
Properties... | Show details of overlayed spectra. See the section on the overlay window for more information.
Delete Last Peak | Delete last measured peak. (Measuring peaks is generally done when carrying out line position fitting, when assigning overlayed peaks to the simulation)
Clear All Peaks | Delete all measured peaks


View Menu

Constants... | Show molecular constants window. See the constants window for general information, and the objects section for more information on individual constants.
LineList... | Show line list window. See the section on line fitting for more about using this window.
Log... | Show log window. The contents of this window is described in the section on the log window, and more about using this window is given in the sections on line fitting and contour fitting.
Overlays... | Show overlay details
States | Show states of a particular J and symmetry. See the states window for more information.
Transitions | Show selected transitions. More about this window is explained in the transition window section.
Levels | Show energy level plot
Timing | View time spent in various routines
Clear Log | Clear log window
Clear Cache | Clear any saved calculations. This can be useful to prevent PGOPHER using too much memory.


Help Menu

Index | Show available help on PGOPHER.
Search | Search available help on PGOPHER.
Procedures | Help on how to do things within PGOPHER
What Is... | Press Shift + F1 and then click on something to find out about it
Using Help | Show help on using the help system
About... | Show version number of PGOPHER and other information
Dump | Dump current form as help file skeleton.


Alphabetical Index

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

  • a
  • A
    • Asymmetic Top
    • Linear Molecule
  • Abundance
    • Asymmetric Top
    • Linear Molecule
    • Symmetric Top
  • AD
  • aF
  • aJ
  • alpha
  • aPower
  • Asymmetric Top Manifold
  • Asymmetric Top Molecule
  • Asymmetric Top Nucleus
  • Asymmetric Top Perturbation
  • Asymmetric Top State
  • AsymWt
  • AutoReplot
  • Axis

B

  • B
    • Asymmetric Top
    • Linear Molecule
    • Symmetric Top
  • b
  • Baseline
  • BaselineIntensity
  • BaselinePixel
  • BasisOrder
  • BBar
  • BDelta
  • beta
  • Bitmap Plot
  • bJ
  • bPower

C

  • C
  • c
  • Cartesian Transition Moment
  • C2xAxis
  • C2zAxis
  • cI
  • cJ
  • Colour
    • Asymmetric Top Molecule
    • Asymmetric Top Manifold
    • Asymmetric Top State
    • Bitmap Plot
    • Experimental Plot
    • Linear Molecule
    • Linear Molecule Manifold
    • Linear Molecule State
    • Manifold
    • Molecule
    • Plot
    • Species
    • State
    • Symmetric Top Manifold
    • Symmetric Top Molecule
    • Symmetric Top State
    • Transition Moments
  • Component
    • Rotational Transition Moment
    • Sperical Transition Moment
    • Electron Spin Transition Moment
    • Electron Orbital Transition Moment
  • Concentration
  • contents
  • cPower

D

  • d
  • deltaJ
  • deltaK
  • dJ
  • DJ
    • Asymmetric Top
    • Symmetric Top
  • DJK
    • Asymmetric Top
    • Symmetric Top
  • DK
    • Asymmetric Top
    • Symmetric Top
  • DoubleQnos
  • DqJ
  • DqK
  • ds1
  • ds2
  • DsK
  • DsKN
  • DsN
  • DsNK

E

  • eaa
  • eabbar
  • eacbar
  • ebb
  • ebcbar
  • ecc
  • eeWt
  • EigenSearch
    • Asymmetric Top Manifold
    • Linear Molecule Manifold
    • Symmetric Top Manifold
  • eoWt
  • eQq0
  • eQq0J
  • eQq2
  • eQq2J
  • etaJ
  • etaK
  • Experimental Plot

F

  • FakeSym
  • FirstPoint
  • FitCycles
  • FixScale
  • Fmax
  • Fmin
  • Foffset
  • Frequency1
  • Frequency2
  • FrequencyOffset
    • Bitmap Plot
    • Experimental Plot
    • Plot
  • FrequencyScale

G

  • Gamma
  • gammaD
  • gammaH
  • gammaL
  • Gaussian
  • gerade

H

  • H
  • Hide
    • Bitmap Plot
    • Experimental Plot
    • Plot
  • HJ
    • Asymmetric Top
    • Symmetric Top
  • HJK
    • Asymmetric Top
    • Symmetric Top
  • HK
    • Asymmetric Top
    • Symmetric Top
  • HKJ
    • Asymmetric Top
    • Symmetric Top

I

  • index
  • Initial
    • Asymmetric Top
    • Linear Molecule
    • Symmetric Top
  • IntensityUnits
    • Bitmap Plot
    • Experimental Plot
    • Mixture
    • Overlay Plot
    • Overlays
  • IsLineList

J

  • JAdjustSym
  • Jmax
    • Asymmetric Top Molecule
    • Asymmetric Top Manifold
    • Linear Molecule
    • Linear Molecule Manifold
    • Manifold
    • Molecule
    • Species
    • Symmetric Top Manifold
    • Symmetric Top Molecule
  • Jmin
    • Asymmetric Top Molecule
    • Asymmetric Top Manifold
    • Linear Molecule
    • Linear Molecule Manifold
    • Manifold
    • Molecule
    • Species
    • Symmetric Top Manifold
    • Symmetric Top Molecule
  • JPower

K

  • Kmax
  • Kmin

L

  • L
  • Lambda
  • LambdaD
  • LambdaH
  • LambdaSS
  • LastPoint
  • LifeModel
  • LimitSearch
    • Asymmetric Top Manifold
    • Linear Molecule Manifold
    • Symmetric Top Manifold
  • Linear Manifold
  • Linear Molecule
  • Linear Molecule Nucleus
  • Linear Molecule Perturbation
  • Linear Molecule State
  • LJ
  • LJJK
  • LJK
  • LK
  • LKKJ
  • llJ
  • llJK
  • llK
  • llKJ
  • Lorentzian

M

  • M
  • Manifold
  • MaximumIntensity
  • MaximumPixel
  • MinI
  • Mixture
  • Molecule

N

  • n
  • navigation pane
  • nDF
  • nNuclei
    • Asymmetric Top
    • Linear Molecule
    • Symmetric Top
  • Npower
  • Nucleus
  • Nucleus, Perturbation
    • Linear Molecule Perturbation
    • Asymmetric Top Perturbation

O

  • o
  • oD
  • oeWt
  • oH
  • oL
  • ooWt
  • Op
  • Orbital Magnetic Transition Moment
  • Origin
    • Linear Molecule
    • Symmetric Top
    • Asymmetric Top
  • OThreshold
  • Overlays

P

  • p
  • pD
  • PeakThreshold
  • Perturbation
  • pH
  • phiJ
  • phiJK
  • phiK
  • pL
  • Plot
  • PlotUnits
  • PointGroup
    • Asymmetric Top
    • Symmetric Top
  • PP
  • pPower
  • Precision
  • PrintLevel
  • PseudoC2v

Q

  • q
  • qD
  • qH
  • qL
  • qminus
  • qplus

R

  • r
  • Rank
    • Cartesian Transition Moment
    • Electron Orbital Transition Moment
    • Electron Spin Transition Moment
    • Rotational Transition Moment
    • Sperical Transition Moment
  • RefWidth
  • Representation
  • Rotational Magnetic Transition Moment
  • RSquaredH

S

  • S
    • Linear Molecule
    • Symmetric Top
    • Asymmetric Top
  • Scale
  • ScaleMarkSize
  • ShowDeltaJ
  • Showef
  • ShowFNumber
  • ShowFortrat
  • ShowJ
  • ShowN
  • ShowOmega
  • ShowParts
  • ShowSum
  • ShowSymmetry
  • SMargin
  • Spin, Nuclear
    • Linear Molecule
    • Asymmetric Top
  • Species
  • Spherical Transition Moment
  • Spin Magnetic Transition Moment
  • SReduction
  • State
  • Statistical Weights
  • Strength
    • Cartesian Transition Moment
    • Electron Orbital Transition Moment
    • Electron Spin Transition Moment
    • Rotational Transition Moment
    • Sperical Transition Moment
  • Symmetric, Linear Molecule
  • Symmetric Top Manifold
  • Symmetric Top Molecule
  • Symmetric Top State
  • Symmetry
    • Asymmetric Top
    • Symmetric Top
  • SymWt

T

  • Tab
  • table of contents
  • Tac
  • Tbc
  • Temperature
  • theta
  • toolbar
  • Transition Moment
  • Transition Moments
  • Tvib
  • Txxmyy
  • Tzz

U

  • Units
    • Bitmap Plot
    • Experimental Plot
    • Mixture
    • Overlays
    • Overlay Plots
  • UseUpper

V

  • Value
    • Linear Molecule Perturbation
    • Asymmetric Top Perturbation

W

  • wBar
  • wDelta
  • Width
    • Linear Molecule
    • Symmetric Top
    • Asymmetric Top
  • WidthMult
  • wKa
  • wKb
  • wKc

X

  • Xpixel1
  • Xpixel2

Z

  • zeta


Plot

Plots can be of two types: experimental plots (numerical data typically in the form of frequency,intensity pairs) or bitmaps (a picture copied or scanned where the raw data is not available.) For more information see the overlays window. A few settings are valid for both experimental and bitmap plots:

Settings

Units | Horizontal Axis units.
IntensityUnits |
Colour | Colour for plot.
Hide |

Parameters

FrequencyOffset Frequency offset used when displaying plot.


Transition Moment

Generic transition moment, with items common to all transition moments.

Settings

Rank Rank of transition - 2 (twice 1) for a normal electric dipole transition.

Parameters

Strength | Relative transition (dipole) moment - note that the relative intensity is proportional to the square of this value.
C | J dependence of transition moment
D | J dependence of transition moment


TreePopupMenu Menu

Tree Popup Menu

This window appears on right-clicking on an object in the tree view, in either the constants or the overlays window.

Rename

Rename Object.

Copy

Copy object and children to clipboard.

Copy With Linked Items

Copy selected node and items linked to it (i.e. items lower down in the hierachy).

Paste

Insert object from clipboard here.

Delete

Delete selected object.

Move Up

Move selected object up one place in the tree view.

Move Down

Move selected object down one place in the tree view.

Invert

Invert current spectrum.


 Using accessibility shortcut keys in the Help Viewer

The following keyboard shortcuts can be used for navigation in the HTML Help Viewer. The help author who builds a compiled help (.chm) file can specify which buttons appear on the Help Viewer toolbar, so some of these options may not be available in your version of the viewer.

For more information about accessibility features and services, visit the Microsoft Accessibility and Disabilities Web site.

For the Help Viewer:

To | Press
Close the Help Viewer. | ALT+F4
Switch between the Help Viewer and other open windows. | ALT+TAB
Display the Options menu. | ALT+O
Change Microsoft Internet Explorer settings. The Internet Options dialog box contains accessibility settings. To change these settings click the General tab, and then click Accessibility. | ALT+O, and then press I
Hide or show the Navigation pane. | ALT+O, and then press T
Print a topic. | ALT+O, and then press P, or right-click in the
Move back to the previous topic. | ALT+LEFT ARROW, or ALT+O, and then press B
Move forward to the next topic (provided you have viewed it just previously). | ALT+RIGHT ARROW, or ALT+O, and then press F
Turn on or off search highlighting. | ALT+O, and then press O
Refresh the topic that appears in the Topic pane (this is useful if you have linked to a Web page). | F5, or ALT+O, and then press R
Return to the home page (help authors can specify a home page for a help system). | ALT+O, and then press H
Stop the viewer from opening a page (this is also useful if you are linking to the Web and want to stop a page from downloading). | ALT+O, and then press S
Jump to a predetermined topic or Web page. The help author who builds a compiled help (.chm) file can add two links, on the Options menu, to important topics or Web pages. When you select a Jump command you go to one of those topics or Web pages. | ALT+O, and then press 1 or 2
Switch between the Navigation pane and the Topic pane. | F6
Scroll through a topic. | UP ARROW and DOWN ARROW, or PAGE UP and PAGE DOWN
Scroll through all the links in a topic or through all the options on a Navigation pane tab. | TAB

For the Contents tab:

To | Press
Display the Contents tab. | ALT+C
Open and close a book or folder. | PLUS SIGN and MINUS SIGN, or LEFT ARROW and RIGHT ARROW
Select a topic. | DOWN ARROW and UP ARROW
Display the selected topic. | ENTER

For the Index tab:

To | Press
Display the Index tab. | ALT+N
Type a keyword to search for. | ALT+W, and then type the word
Select a keyword in the list. | UP ARROW and DOWN ARROW
Display the associated topic. | ALT+D

For the Search tab:

To | Press
Display the Search tab. | ALT+S
Type a keyword to search for. | ALT+W, and then type the word
Start a search. | ALT+L
Select a topic in the results list. | ALT+T, and then UP ARROW and DOWN ARROW
Display the selected topic. | ALT+D
The following options are only available if full-text search is enabled.
Search for a keyword in the result list of a prior search. | ALT+U
Search for words similar to the keyword. For example, to find words like "running" and "runs" for the keyword "run." | ALT+M
Only search through topic titles. | ALT+R

For the Favorites tab:

To | Press
Display the Favorites tab. | ALT+I
Add the currently displayed topic to the Favorites list. | ALT+A
Select a topic in the Favorites list. | ALT+P, and then UP ARROW and DOWN ARROW
Display the selected topic. | ALT+D
Remove the selected topic from the list. | ALT+R

Notes

  • There are also shortcut menu commands that can be accessed through the keyboard.
  • Shortcut keys also work in secondary and pop-up windows.
  • Every time you use a shortcut key in the Navigation pane, you lose focus in the Topic pane. To return to the Topic pane, press F6.
  • The Match similar words check box, on the Search tab, will be selected if you used it for your last search.


 About advanced full-text search

Advanced full-text search allows a user to search using boolean, wildcard, and nested expressions. A user can also limit the search to previous results, match similar words, or search topic titles only. When advanced full-text search is enabled, the Search tab in the Help Viewer is enhanced.

This help file does not have advanced full-text search enabled because the help topics included in this file are relatively uncomplicated. To see an example of advanced full-text search in a more complex help file, open the the help for HTML Help Workshop, and then click the Search tab.


Searching for help topics

A basic search consists of the word or phrase you want to find. You can use wildcard expressions, nested expressions, boolean operators, similar word matches, a previous results list, or topic titles to further define your search.

The basic rules for formulating queries are as follows:

  • Searches are not case-sensitive, so you can type your search in uppercase or lowercase characters.
  • You may search for any combination of letters (a-z) and numbers (0-9).
  • Punctuation marks such as the period, colon, semicolon, comma, and hyphen are ignored during a search.
  • Group the elements of your search using double quotes or parentheses to set apart each element. You cannot search for quotation marks.
Note
  • If you are searching for a file name with an extension, you should group the entire string in double quotes, ("filename.ext"). Otherwise, the period will break the file name into two separate terms. The default operation between terms is AND, so you will create the logical equivalent to "filename AND ext."


Defining search terms

The AND, OR, NOT, and NEAR operators enable you to precisely define your search by creating a relationship between search terms. The following table shows how you can use each of these operators. If no operator is specified, AND is used. For example, the query "spacing border printing" is equivalent to "spacing AND border AND printing."

Search for | Example | Results
Both terms in the same topic. | dib AND palette | Topics containing both the words "dib" and "palette."
Either term in a topic. | raster OR vector | Topics containing either the word "raster" or the word "vector" or both.
The first term without the second term. | ole NOT dde | Topics containing the word "OLE," but not the word "DDE."
Both terms in the same topic, close together. | user NEAR kernel | Topics containing the word "user" within eight words of the word "kernel."

Note
  • The |, &, and ! characters don't work as boolean operators (you must use OR, AND, and NOT).


 About changing the Help Viewer

Users can make a variety of changes to the Help Viewer. These related topics describe settings the user can specify.


To change colors in the Topic pane of the Help Viewer

  1. In Microsoft Internet Explorer 4.0, on the View menu, click Internet Options.
  2. On the General tab, click Colors.
  3. In the Colors dialog box, select the options you want, and then click OK.
  4. To apply the new color settings, in the Internet Options dialog box, click OK.
Notes
  • These changes do not apply to the Navigation pane or toolbar of the Help Viewer.
  • This will also change your color settings for Internet Explorer 4.0.


To copy a help topic

  1. In the Topic pane, right-click the topic you want to copy, and then click Select All.
  2. Right-click again, and then click Copy. This copies the topic to the Clipboard.
  3. Open the document you want to copy the topic to.
  4. Position your cursor where you want the information to appear.
  5. On the Edit menu, click Paste.
Note
  • If you want to copy only part of a topic, select the text you want to copy, right-click, and then click Copy.


To view help topics grouped by information type

You can customize your help system so that it includes only those help topics that are relevant to you.

Suppose for example, that you have a help system for an educational software program that includes topics aimed at administrators, teachers, and students. You can customize your help so that it includes only the topics that are important to teachers and students.

On the toolbar, click Options, and then click Customize.


To get help in a dialog box

Click the question mark image: question mark button in the upper-right corner of the dialog box, and then click an item in the dialog box.

Notes

  • To close the pop-up window, click anywhere on the screen.
  • If the dialog box does not have the image: question mark button, click Help, or press F1.
  • You can also get help on an item by right-clicking it.
  • Not all dialog boxes include dialog box help.


 To decompile a help file
  1. Open HTML Help Workshop, click the File menu, and then click Decompile.
  2. In the Destination folder box, enter the name of the folder where you want the decompiled files to be copied.
  3. In the Compiled help project file box, enter the name of the compiled help (.chm) file you want to decompile.

Notes

  • This procedure is useful for extracting individual HTML source files from a compiled help file. It is also useful if you want to use the source files in a browser that does not support compiled help files.
  • The decompile option is part of the HTML Help executable program (Hh.exe) and is therefore also a client-side command line switch that works when HTML Help Workshop is not set up. From a DOS prompt or from the Run command, type -decompile folder chm, where -decompile is the switch, folder is the name of the destination folder where you want the source files to be copied, and chm is the name of the compiled help file you want to decompile.


To change formatting or styles for accessibility

  1. On the Options menu, click Internet Options, and then click Accessibility.
  2. In the Accessibility dialog box, select the options you want, and then click OK.
Notes
  • These changes do not apply to the Navigation pane or toolbar of the Help Viewer.
  • This will also change your accessibility settings for Internet Explorer 4.0.


To create a list of favorite help topics
  1. Locate the help topic you want to make a favorite topic.
  2. Click the Favorites tab, and then click Add.
Notes
  • To return to a favorite topic, click the Favorites tab, select the topic, and then click Display.
  • If you want to rename a topic, select the topic, and then type a new name in the Current topic box.
  • To remove a favorite topic, select the topic and then click Remove.


To change the font size of a topic

On the Options menu, click Internet Options, and then click Fonts.

Notes
  • These changes do not apply to the Navigation pane or toolbar of the Help Viewer.
  • This will also change your font settings for Internet Explorer.


To find information with advanced full-text search
  1. Click the Search tab, and then type the word or phrase you want to find.
  2. Click [image] to add boolean operators to your search.
  3. Click List Topics, select the topic you want, and then click Display.
  4. To sort the topic list, click the Title, Location, or Rank column heading.
Notes
  • You can precisely define a search by using wildcard expressions, nested expressions, and boolean operators.
  • You can request similar word matches, search only the topic titles, or search the results of a previous search.
  • You can set the Help Viewer to highlight all instances of search terms that are found in topic files. Click the Options button, and then click Search Highlight On. This feature only works with Internet Explorer 4.0 or later.


To use full-text search
  1. Click the Search tab, and then type the word or phrase you want to find.
  2. Click List Topics, select the topic you want, and then click Display.


 About the Search tab

These topics describe the features available if you include a Search tab in your help design.

A compiled help file can include a Search tab that allows a user to search through every word in a help file to find a match. For example, if a user does a full-text search on the word "index," every topic that contains the word "index" will be listed.

Depending on how complex your help system is, the Search tab can contain either basic or advanced full-text search functionality. Advanced full-text search allows a user to search using boolean, wildcard, and nested expressions.

Note
  • To see an example of a basic search, click the Search tab in this file.To see an example of Advanced full-text search, click the Search tab in the help file for HTML Help Workshop.


 About the Help Viewer

These related topics describe most of the general features available in the Help Viewer.


To hide or show the Navigation pane

On the toolbar, click Hide or Show to close or display the Navigation pane, which contains the Contents, Index, Search, and Favorites tabs.

Note
  • If you close the Help Viewer with the Navigation pane hidden, it will appear that way when you open the Help Viewer again.


To highlight words in searched topics

When searching for words in help topics, you can have each occurrence of the word or phrase highlighted in the topics that are found.

To highlight all instances of a search word or phrase, click Options on the toolbar, and then click Search Highlight On.

Notes

  • To turn off this option, click Options on the toolbar, and then click Search Highlight Off.
  • If you are viewing a long topic, only the first 500 instances of a search word or phrase will be highlighted.


Getting more out of help

Here are some tips on how to find more information when using the HTML Help Viewer:

  • To link to another topic, a Web page, a list of other topics, or a program, click the colored, underlined words.
  • To view topics that contain related information, click the words, "Related Topics," which may appear at the end of a topic, and then click the title of the topic you want.
  • To see if a word or phrase contained in a topic is in the index, select the word, and then press F1.
  • If you are viewing content from the Web in the Topic pane, you can click Stop or Refresh on the toolbar to interrupt a download or refresh a Web page.
  • If you use a particular help topic often, you can add it to your favorites list.
  • Right-click the Contents tab or Topic pane for shortcut menu commands.


 To turn on MouseKeys
  1. to open the Accessibility Properties dialog box.
  2. Click the Mouse tab.
  3. Select the Use MouseKeys check box.

Note

  • You can also open the Accessibility Properties dialog box by clicking Start, pointing to Settings, clicking Control Panel, and then double-clicking Accessibility Options.


To find topics using the toolbar buttons

There are five navigational buttons that can be located on the toolbar in the Help Viewer. You can click these buttons to find help topics:

  • Back displays the last topic you viewed.
  • Forward displays the next topic in a previously displayed sequence of topics.
  • Next displays the next topic listed in the table of contents.
  • Previous displays the previous topic listed in the table of contents.
  • Home displays the Home page topic for the help file you are viewing.
  • Refresh updates Web content that is currently displayed in the Topic pane.
  • Stop stops downloading file information. Click this button to stop a Web page from downloading.
Note
  • The toolbar in your Help Viewer may not contain all of these navigational buttons.


Using nested expressions when searching

Nested expressions allow you to create complex searches for information. For example, "control AND ((active OR dde) NEAR window)" finds topics containing the word "control" along with the words "active" and "window" close together, or containing "control" along with the words "dde" and "window" close together.

The basic rules for searching help topics using nested expressions are as follows:

  • You can use parentheses to nest expressions within a query. The expressions in parentheses are evaluated before the rest of the query.
  • If a query does not contain a nested expression, it is evaluated from left to right. For example: "Control NOT active OR dde" finds topics containing the word "control" without the word "active," or topics containing the word "dde." On the other hand, "control NOT (active OR dde)" finds topics containing the word "control" without either of the words "active" or "dde."
  • You cannot nest expressions more than five levels deep.


Using the HTML Help Viewer

 Using HTML Help Viewer

By default,the help will appear in a window with three panes:

  • On the left side of the window is the Navigation pane. It contains three navigational tabs: the Contents tab, the Index tab, and the Search tab.
  • On the right side of the window is the Topic pane. It displays the selected help topic, or the default help topic.
  • The third pane is the toolbar, which is located below the help window title bar.
Display a screen shot of the HTML Help Viewer


To search only the last group of topics you searched

This feature enables you to narrow a search that results in too many topics found. You can search through your results list from previous search by using this option.

  1. On the Search tab, select the Search previous results check box.
  2. Click List Topics, select the topic you want, and then click Display.
Notes
  • If you want to search through all of the files in a help system, this check box must be cleared.
  • The Search tab will open with this check box selected if you previously used this feature.


To print the current help topic

Right-click a topic, and then click Print.

Note
  • If you print from the Contents tab (by right-clicking an entry, and then clicking Print) you will see options to print only the current topic, or the current topic and all subtopics.


 Using the shortcut menu commands

There are several commands on the shortcut menu that you can use to display and customize information.

Command | Description
Right-click in the table of contents, and then click Open All. | Opens all books or folders in the table of contents. This command only works if the Contents tab is displayed.
Right-click in the table of contents, and then click Close All. | Closes all books or folders. This command only works if the Contents tab is displayed.
Right-click, and then click Print. | Prints the topic.
Right-click in the table of contents, and then click Customize | Opens the Customize Information Wizard, which allows you to customize the documentation. If the help file was built with information types, you can use this wizard to select a subset of topics to view. For example, you could choose to see only overview topics.

Note

  • These commands can be accessed through the keyboard. You can click SHIFT+F10 to display the shortcut menu, and then click the appropriate shortcut keys. Or, you can enable Mousekeys. Use a Mousekey combination to display the shortcut menu, and then click the appropriate shortcut keys.


To find words similar to your search term

This feature enables you to include minor grammatical variations for the phrase you search. For example, a search on the word "add" will find "add," "adds," and "added."

  1. Click the Search tab, type the word or phrase you want to find, and then select the Match similar words check box.
  2. Click List Topics, select the topic you want, and then click Display.
Note
  • This feature only locates variations of the word with common suffixes. For example, a search on the word "add" will find "added," but it will not find "additive."


To search for words in the titles of HTML files
  1. Click the Search tab, type the word or phrase you want to find, and then select the Search titles only check box.
  2. Click List Topics, select the topic you want, and then click Display.
Note
  • If you use this option, all HTML topic files will be searched, including any that are not listed in the table of contents.


 To find a help topic

In the Navigation pane, click one of the following tabs:

  • To browse through a table of contents, click the Contents tab. The table of contents is an expandable list of important topics.
  • To see a list of index entries, click the Index tab, and then type a word or scroll through the list. Topics are often indexed under more than one entry.
  • To locate every occurrence of a word or phrase that may be contained in a help file, click the Search tab, and then type the word.
Note
  • Click the contents entry, index entry, or search results entry to display the corresponding topic.


 The HTML Help Viewer

This is a help file as it appears in the HTML Help Viewer.

Return to Using the HTML Help Viewer


Searching for words or phrases

You can search for words or phrases and use wildcard expressions. Wildcard expressions allow you to search for one or more characters using a question mark or asterisk. The table below describes the results of these different kinds of searches.

Search for

Example

Results

A single word

select

Topics that contain the word "select." (You will also find its grammatical variations, such as "selector" and "selection.")

A phrase

"new operator"
or
new operator

Topics that contain the literal phrase "new operator" and all its grammatical variations.

Without the quotation marks, the query is equivalent to specifying "new AND operator," which will find topics containing both of the individual words, instead of the phrase.

Wildcard expressions

esc*
or
80?86

Topics that contain the terms "ESC," "escape," "escalation," and so on. The asterisk cannot be the only character in the term.

Topics that contain the terms "80186," "80286," "80386," and so on. The question mark cannot be the only character in the term.

Note
  • Select the Match similar words check box to include minor grammatical variations for the phrase you search.


 To customize the Help Viewer

There are a few ways to easily change the size and position of the Help Viewer and the panes in the viewer:

  • To resize the Navigation or Topic pane, point to the divider between the two panes. When the pointer changes to a double-headed arrow, drag the divider right or left.
  • To proportionately shrink or enlarge the whole Help Viewer, point to any corner of the Help Viewer. When the pointer changes to a double-headed arrow, drag the corner.
  • To change the height or width of the Help Viewer, point to the top, bottom, left, or right edge of the Help Viewer. When the pointer changes to a double-headed arrow, drag the edge.
  • To reposition the Help Viewer on your screen, click the title bar and drag the Viewer to a new position.
Note
  • The Help Viewer will appear with the last size and position settings you specified when it is opened again.